'From Squeak5.1 of 23 July 2016 [latest update: #16138] on 28 July 2016 at 2:37:20 pm'!
UserInterfaceTheme subclass: #CommunityTheme
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'System-Support'!

!CommunityTheme commentStamp: 'mt 7/26/2016 16:22' prior: 0!
A dark theme designed by members the Squeak community such as Karl Ramberg, Chris Muller, and Marcel Taeumel.!

UserInterfaceTheme subclass: #MonokaiTheme
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'System-Support'!
UserInterfaceTheme subclass: #SolarizedTheme
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'System-Support'!

!SolarizedTheme commentStamp: 'mt 7/26/2016 15:08' prior: 0!
The Solarized color palette.

http://ethanschoonover.com/solarized

SOLARIZED HEX     16/8 TERMCOL  XTERM/HEX   L*A*B      RGB         HSB
--------- ------- ---- -------  ----------- ---------- ----------- -----------
base03    #002b36  8/4 brblack  234 #1c1c1c 15 -12 -12   0  43  54 193 100  21
base02    #073642  0/4 black    235 #262626 20 -12 -12   7  54  66 192  90  26
base01    #586e75 10/7 brgreen  240 #585858 45 -07 -07  88 110 117 194  25  46
base00    #657b83 11/7 bryellow 241 #626262 50 -07 -07 101 123 131 195  23  51
base0     #839496 12/6 brblue   244 #808080 60 -06 -03 131 148 150 186  13  59
base1     #93a1a1 14/4 brcyan   245 #8a8a8a 65 -05 -02 147 161 161 180   9  63
base2     #eee8d5  7/7 white    254 #e4e4e4 92 -00  10 238 232 213  44  11  93
base3     #fdf6e3 15/7 brwhite  230 #ffffd7 97  00  10 253 246 227  44  10  99
yellow    #b58900  3/3 yellow   136 #af8700 60  10  65 181 137   0  45 100  71
orange    #cb4b16  9/3 brred    166 #d75f00 50  50  55 203  75  22  18  89  80
red       #dc322f  1/1 red      160 #d70000 50  65  45 220  50  47   1  79  86
magenta   #d33682  5/5 magenta  125 #af005f 50  65 -05 211  54 130 331  74  83
violet    #6c71c4 13/5 brmagenta 61 #5f5faf 50  15 -45 108 113 196 237  45  77
blue      #268bd2  4/4 blue      33 #0087ff 55 -10 -45  38 139 210 205  82  82
cyan      #2aa198  6/6 cyan      37 #00afaf 60 -35 -05  42 161 152 175  74  63
green     #859900  2/2 green     64 #5f8700 60 -20  65 133 153   0  68 100  60!
]style[(68 1413),FBitstreamVeraSansMono#16.0!

UserInterfaceTheme subclass: #SqueakTheme
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'System-Support'!

!CommunityTheme class methodsFor: 'instance creation' stamp: 'mt 7/26/2016 16:18'!
addDarkButtons: theme
	"self createDark apply."
	theme
		set: #borderColor for: #PluggableButtonMorph to: Color darkGray darker;
		set: #color for: #PluggableButtonMorph to: Color gray;
		set: #textColor for: #PluggableButtonMorph to: Color white;

		set: #selectionModifier for: #PluggableButtonMorph to: [ [:c | c adjustBrightness: -0.2] ];
		set: #hoverModifier for: #PluggableButtonMorph to: [ [:c | c adjustBrightness: -0.2] ];
		set: #feedbackModifier for: #PluggableButtonMorph to: [ [:c | c adjustBrightness: -0.3] ].
	
	"And the plus-version."
	theme set: #disabledTextColor for: #PluggableButtonMorphPlus to: Color gray.
! !

!CommunityTheme class methodsFor: 'instance creation' stamp: 'mt 7/26/2016 16:24'!
addDarkDialogs: theme
	"self createDark apply."
	theme
		set: #borderColor for: #DialogWindow to: Color darkGray;
		set: #color for: #DialogWindow to: Color gray;

		set: #titleColor for: #DialogWindow to: Color darkGray;
		set: #titleTextColor for: #DialogWindow to: Color white;
		
		set: #textColor for: #DialogWindow to: (Color gray: 0.9);
		
		set: #okColor for: #DialogWindow to: self dbGreen;
		set: #cancelColor for: #DialogWindow to: self dbOrange;
		set: #buttonColor for: #DialogWindow to: Color darkGray;
		set: #selectionModifier for: #DialogWindow to: [ [:c | c adjustBrightness: 0.2 ] ].
	
	"The List Chooser is a dialog, too."
	theme
		set: #addColor for: #ListChooser to: self dbBlue;
		set: #disabledColor for: #ListChooser to: Color transparent.

		
	"And the system progress bar."
	theme
		set: #color for: #SystemProgressBarMorph to: Color transparent;
		set: #barColor for: #SystemProgressBarMorph to: Color darkGray.
		
	"And the balloon morphs."
	theme
		set: #borderColor for: #NewBalloonMorph to: Color black;
		set: #color for: #NewBalloonMorph to: (Color cyan muchDarker alpha: 0.7).! !

!CommunityTheme class methodsFor: 'instance creation' stamp: 'mt 7/26/2016 15:57'!
addDarkFonts: theme

	"Set-up fonts."
	theme
		set: #balloonHelpFont to: (StrikeFont familyName: 'Darkmap DejaVu Sans' pointSize: 7);
		set: #standardButtonFont to: (StrikeFont familyName: 'Darkmap DejaVu Sans' pointSize: 7);
		set: #standardCodeFont to: (StrikeFont familyName: 'Darkmap DejaVu Sans' pointSize: 9);
		set: #standardDefaultTextFont to: (StrikeFont familyName: 'Darkmap DejaVu Sans' pointSize: 9);
		set: #standardFlapFont to: (StrikeFont familyName: 'Darkmap DejaVu Sans' pointSize: 7 emphasized: TextEmphasis bold emphasisCode);
		set: #haloLabelFont to: (StrikeFont familyName: 'Darkmap DejaVu Sans' pointSize: 9);
		set: #standardListFont to: (StrikeFont familyName: 'Darkmap DejaVu Sans' pointSize: 9);
		set: #standardMenuFont to: (StrikeFont familyName: 'Darkmap DejaVu Sans' pointSize: 9);
		set: #standardSystemFont to: (StrikeFont familyName: 'Darkmap DejaVu Sans' pointSize: 9);
		set: #windowTitleFont to: (StrikeFont familyName: 'Darkmap DejaVu Sans' pointSize: 9).! !

!CommunityTheme class methodsFor: 'instance creation' stamp: 'mt 7/26/2016 16:08'!
addDarkMenusAndDockingBars: theme
	"self createDark apply."
	theme
		set: #borderWidth for: #MenuMorph to: 0;
		set: #color for: #MenuMorph to: Color darkGray;
		set: #titleTextColor for: #MenuMorph to: Color white;
		set: #lineColor for: #MenuMorph to: Color lightGray;
		set: #lineStyle for: #MenuMorph to: BorderStyle default;
		set: #lineWidth for: #MenuMorph to: 1.
		
	theme
		set: #textColor for: #MenuItemMorph to: Color white;
		set: #selectionColor for: #MenuItemMorph to: Color white;
		set: #selectionTextColor for: #MenuItemMorph to: Color black.
		"set: #subMenuMarker for: #MenuItemMorph to: nil." "Use hard-coded default. See MenuItemMorph."
		
	"The world main docking bar."
	theme
"		set: #color for: #DockingBarMorph to: Color darkGray;"
"		set: #selectionColor for: #DockingBarItemMorph to: self darkContentSecondary;"
		set: #logoColor for: #TheWorldMainDockingBar to: Color white;
		set: #selectionLogoColor for: #TheWorldMainDockingBar to: Color black.! !

!CommunityTheme class methodsFor: 'instance creation' stamp: 'mt 7/26/2016 16:25'!
addDarkScrollables: theme
	"self createDark apply."

	"Scroll bars"
	theme
		set: #thumbColor for: #ScrollBar to: Color gray;
		set: #thumbBorderColor for: #ScrollBar to: Color darkGray.
	
	"Scroll panes (includes generic stuff for list widgets, tree widgets, and text widgets."
	theme
		set: #color for: #ScrollPane to: (Color gray: 0.1).
		
	"List widgets"
	theme
		set: #textColor for: #PluggableListMorph to: (Color gray: 0.9);
		set: #selectionColor for: #PluggableListMorph to: (Color  r: 0.15 g: 0.4 b: 0.15 alpha: 1.0);
		set: #selectionTextColor for: #PluggableListMorph to: Color white;
		set: #filterColor for: #PluggableListMorph to: self dbYellow;
		set: #filterTextColor for: #PluggableListMorph to: Color black;
		set: #preSelectionModifier for: #PluggableListMorph to: [ [:c | c lighter alpha: 0.5 ] ];
		set: #hoverSelectionModifier for: #PluggableListMorph to: [ [:c | c lighter alpha: 0.5 ] ].
		
	"Tree widgets"
	theme
		set: #highlightTextColor for: #SimpleHierarchicalListMorph to: self dbYellow lighter lighter;
		set: #lineColor for: #SimpleHierarchicalListMorph to: Color gray.
	
	"Text widgets"
	theme
		set: #textColor for: #PluggableTextMorph to: (Color gray: 0.9);
		set: #caretColor for: #PluggableTextMorph to: Color white;
		set: #selectionColor for: #PluggableTextMorph to: (Color  r: 0.15 g: 0.4 b: 0.15 alpha: 1.0);
		set: #unfocusedSelectionModifier for: #PluggableTextMorph to: [ [:c | c duller] ];
		set: #adornmentReadOnly for: #PluggableTextMorph to: self dbPurple;
		set: #adornmentRefuse for: #PluggableTextMorph to: self dbBlue;
		set: #adornmentConflict for: #PluggableTextMorph to: self dbRed;
		set: #adornmentDiff for: #PluggableTextMorph to: self dbGreen;
		set: #adornmentNormalEdit for: #PluggableTextMorph to: self dbOrange;
		set: #adornmentDiffEdit for: #PluggableTextMorph to: self dbYellow.
	theme
		set: #balloonTextColor for: #PluggableTextMorphPlus to: Color darkGray.! !

!CommunityTheme class methodsFor: 'instance creation' stamp: 'mt 7/26/2016 16:21'!
addDarkSyntaxHighlighting: theme
	"self createDark apply."
	theme	
		set: #default for: #SHTextStylerST80 to: {self dbForeground};
		set: #invalid for: #SHTextStylerST80 to: {self dbRed};
		set: #excessCode for: #SHTextStylerST80 to: {self dbRed};
		set: #comment for: #SHTextStylerST80 to: {Color gray: 0.3};
		set: #unfinishedComment for: #SHTextStylerST80 to: {self dbRed. TextEmphasis italic};
		set: #'$' for: #SHTextStylerST80 to: {self dbRed};
		set: #character for: #SHTextStylerST80 to: {self dbRed};
		set: #integer for: #SHTextStylerST80 to: {self dbRed};
		set: #number for: #SHTextStylerST80 to: {self dbRed};	
		set: #- for: #SHTextStylerST80 to: {self dbRed};
		set: #symbol for: #SHTextStylerST80 to: {self dbBlue};	
		set: #stringSymbol for: #SHTextStylerST80 to: {self dbBlue};	
		set: #literalArray for: #SHTextStylerST80 to: {self dbBlue};
		set: #string for: #SHTextStylerST80 to: {self dbPurple. TextEmphasis normal};
		set: #unfinishedString for: #SHTextStylerST80 to: {self dbRed. TextEmphasis normal};
		set: #assignment for: #SHTextStylerST80 to: {nil. TextEmphasis bold};
		set: #ansiAssignment for: #SHTextStylerST80 to: {nil. TextEmphasis bold};
		set: #literal for: #SHTextStylerST80 to: {nil. TextEmphasis italic};
		set: #keyword for: #SHTextStylerST80 to: {self dbBlue};
		set: #binary for: #SHTextStylerST80 to: {self dbBlue};	
		set: #unary for: #SHTextStylerST80 to: {self dbBlue};
		set: #incompleteKeyword for: #SHTextStylerST80 to: {self dbForeground. TextEmphasis underlined};
		set: #incompleteBinary for: #SHTextStylerST80 to: {self dbForeground. TextEmphasis underlined};	
		set: #incompleteUnary for: #SHTextStylerST80 to: {self dbForeground. TextEmphasis underlined};
		set: #undefinedKeyword for: #SHTextStylerST80 to: {self dbRed};
		set: #undefinedBinary for: #SHTextStylerST80 to: {self dbRed};	
		set: #undefinedUnary for: #SHTextStylerST80 to: {self dbRed};													
		set: #patternKeyword for: #SHTextStylerST80 to: {nil. TextEmphasis bold};
		set: #patternBinary for: #SHTextStylerST80 to: {nil. TextEmphasis bold};
		set: #patternUnary for: #SHTextStylerST80 to: {nil. TextEmphasis bold};	
		set: #self for: #SHTextStylerST80 to: {self dbRed};
		set: #super for: #SHTextStylerST80 to: {self dbRed}; 
		set: #true for: #SHTextStylerST80 to: {self dbRed};
		set: #false for: #SHTextStylerST80 to: {self dbRed};
		set: #nil for: #SHTextStylerST80 to: {self dbRed};
		set: #thisContext for: #SHTextStylerST80 to: {self dbRed};
		set: #return for: #SHTextStylerST80 to: {self dbRed};
		set: #patternArg for: #SHTextStylerST80 to: {self dbBlue};	
		set: #methodArg for: #SHTextStylerST80 to: {self dbBlue};
		set: #blockPatternArg for: #SHTextStylerST80 to: {self dbBlue};
		set: #blockArg for: #SHTextStylerST80 to: {self dbBlue};
		set: #argument for: #SHTextStylerST80 to: {self dbBlue};
		set: #blockArgColon for: #SHTextStylerST80 to: {self dbForeground}; 
		set: #leftParenthesis for: #SHTextStylerST80 to: {self dbForeground}; 
		set: #rightParenthesis for: #SHTextStylerST80 to: {self dbForeground}; 
		set: #leftParenthesis1 for: #SHTextStylerST80 to: {self dbGreen}; 
		set: #rightParenthesis1 for: #SHTextStylerST80 to: {self dbGreen}; 
		set: #leftParenthesis2 for: #SHTextStylerST80 to: {self dbPurple}; 
		set: #rightParenthesis2 for: #SHTextStylerST80 to: {self dbPurple}; 
		set: #leftParenthesis3 for: #SHTextStylerST80 to: {self dbRed}; 
		set: #rightParenthesis3 for: #SHTextStylerST80 to: {self dbRed}; 
		set: #leftParenthesis4 for: #SHTextStylerST80 to: {self dbGreen}; 
		set: #rightParenthesis4 for: #SHTextStylerST80 to: {self dbGreen}; 
		set: #leftParenthesis5 for: #SHTextStylerST80 to: {self dbOrange}; 
		set: #rightParenthesis5 for: #SHTextStylerST80 to: {self dbOrange}; 
		set: #leftParenthesis6 for: #SHTextStylerST80 to: {self dbPurple}; 
		set: #rightParenthesis6 for: #SHTextStylerST80 to: {self dbPurple}; 
		set: #leftParenthesis7 for: #SHTextStylerST80 to: {self dbBlue}; 
		set: #rightParenthesis7 for: #SHTextStylerST80 to: {self dbBlue}; 
		set: #blockStart for: #SHTextStylerST80 to: {self dbForeground}; 
		set: #blockEnd for: #SHTextStylerST80 to: {self dbForeground}; 
		set: #blockStart1 for: #SHTextStylerST80 to: {self dbGreen}; 
		set: #blockEnd1 for: #SHTextStylerST80 to: {self dbGreen}; 
		set: #blockStart2 for: #SHTextStylerST80 to: {self dbPurple}; 
		set: #blockEnd2 for: #SHTextStylerST80 to: {self dbPurple}; 
		set: #blockStart3 for: #SHTextStylerST80 to: {self dbRed}; 
		set: #blockEnd3 for: #SHTextStylerST80 to: {self dbRed}; 
		set: #blockStart4 for: #SHTextStylerST80 to: {self dbGreen}; 
		set: #blockEnd4 for: #SHTextStylerST80 to: {self dbGreen}; 
		set: #blockStart5 for: #SHTextStylerST80 to: {self dbOrange}; 
		set: #blockEnd5 for: #SHTextStylerST80 to: {self dbOrange}; 
		set: #blockStart6 for: #SHTextStylerST80 to: {self dbPurple}; 
		set: #blockEnd6 for: #SHTextStylerST80 to: {self dbPurple}; 
		set: #blockStart7 for: #SHTextStylerST80 to: {self dbBlue}; 
		set: #blockEnd7 for: #SHTextStylerST80 to: {self dbBlue}; 																																																		
		set: #arrayStart for: #SHTextStylerST80 to: {self dbForeground}; 
		set: #arrayEnd for: #SHTextStylerST80 to: {self dbForeground}; 
		set: #arrayStart1 for: #SHTextStylerST80 to: {self dbForeground}; 
		set: #arrayEnd1 for: #SHTextStylerST80 to: {self dbForeground}; 
		set: #byteArrayStart for: #SHTextStylerST80 to: {self dbForeground}; 
		set: #byteArrayEnd for: #SHTextStylerST80 to: {self dbForeground}; 
		set: #byteArrayStart1 for: #SHTextStylerST80 to: {self dbForeground}; 
		set: #byteArrayEnd1 for: #SHTextStylerST80 to: {self dbForeground}; 
		set: #leftBrace for: #SHTextStylerST80 to: {self dbForeground}; 
		set: #rightBrace for: #SHTextStylerST80 to: {self dbForeground}; 
		set: #cascadeSeparator for: #SHTextStylerST80 to: {self dbForeground}; 
		set: #statementSeparator for: #SHTextStylerST80 to: {self dbForeground}; 
		set: #externalCallType for: #SHTextStylerST80 to: {self dbForeground}; 
		set: #externalCallTypePointerIndicator for: #SHTextStylerST80 to: {self dbForeground}; 
		set: #primitiveOrExternalCallStart for: #SHTextStylerST80 to: {self dbForeground}; 
		set: #primitiveOrExternalCallEnd for: #SHTextStylerST80 to: {self dbForeground};
		set: #methodTempBar for: #SHTextStylerST80 to: {self dbForeground}; 
		set: #blockTempBar for: #SHTextStylerST80 to: {self dbForeground};
		set: #blockArgsBar for: #SHTextStylerST80 to: {self dbForeground};
		set: #primitive for: #SHTextStylerST80 to: {self dbGreen. TextEmphasis bold};
		set: #pragmaKeyword for: #SHTextStylerST80 to: {self dbGreen. TextEmphasis bold};
		set: #pragmaUnary for: #SHTextStylerST80 to: {self dbGreen. TextEmphasis bold};
		set: #pragmaBinary for: #SHTextStylerST80 to: {self dbGreen. TextEmphasis bold};									
		set: #externalFunctionCallingConvention for: #SHTextStylerST80 to: {self dbGreen. TextEmphasis bold}; 
		set: #module for: #SHTextStylerST80 to: {self dbGreen. TextEmphasis bold};
		set: #blockTempVar for: #SHTextStylerST80 to: {self dbForeground};
		set: #blockPatternTempVar for: #SHTextStylerST80 to: {self dbForeground};
		set: #instVar for: #SHTextStylerST80 to: {self dbForeground};
		set: #workspaceVar for: #SHTextStylerST80 to: {self dbForeground};
		set: #undefinedIdentifier for: #SHTextStylerST80 to: {self dbRed};
		set: #incompleteIdentifier for: #SHTextStylerST80 to: {self dbForeground. {TextEmphasis italic. TextEmphasis underlined}};
		set: #tempVar for: #SHTextStylerST80 to: {self dbForeground};
		set: #patternTempVar for: #SHTextStylerST80 to: {self dbForeground};
		set: #poolConstant for: #SHTextStylerST80 to: {self dbForeground};
		set: #classVar for: #SHTextStylerST80 to: {self dbForeground};
		set: #globalVar for: #SHTextStylerST80 to: {self dbForeground}.
		
	"And the text differ"
	theme	
		set: #insertTextAttributes for: #TextDiffBuilder to: { TextColor color: self dbRed };
		set: #removeTextAttributes for: #TextDiffBuilder to: { TextEmphasis struckOut. TextColor color: self dbBlue };
		set: #normalTextAttributes for: #TextDiffBuilder to: { TextEmphasis normal }.! !

!CommunityTheme class methodsFor: 'instance creation' stamp: 'mt 7/26/2016 16:15'!
addDarkWindowColors: theme
	"self createDark apply."
	theme
		set: #uniformWindowColor for: #Model to: Color darkGray;
		
		set: #unfocusedWindowColorModifier for: #SystemWindow to: [ [:color | color darker] ];
		set: #unfocusedLabelColor for: #SystemWindow to: Color gray;
		set: #focusedLabelColor for: #SystemWindow to: Color white;

		set: #customWindowColor for: #Browser to: self dbGreen;
		set: #customWindowColor for: #ChangeList to: self dbBlue;
		set: #customWindowColor for: #ChangeSorter to: self dbBlue;
		set: #customWindowColor for: #ChatNotes to: self dbPurple;
		set: #customWindowColor for: #ClassCommentVersionsBrowser to: self dbPurple;
		set: #customWindowColor for: #Debugger to: self dbRed;
		set: #customWindowColor for: #DualChangeSorter to: self dbBlue;
		set: #customWindowColor for: #FileContentsBrowser to: self dbYellow;
		set: #customWindowColor for: #FileList to: self dbYellow;
		set: #customWindowColor for: #InstanceBrowser to: self dbBlue;
		set: #customWindowColor for: #Lexicon to: self dbBlue;
		set: #customWindowColor for: #MCTool to: self dbPurple;
		set: #customWindowColor for: #MessageNames to: self dbGreen;
		set: #customWindowColor for: #MessageSet to: self dbBlue;
		set: #customWindowColor for: #PackagePaneBrowser to: self dbGreen;
		set: #customWindowColor for: #PluggableFileList to: self dbYellow;
		set: #customWindowColor for: #PreferenceBrowser to: self dbBlue;
		set: #customWindowColor for: #SMLoader to: self dbOrange;
		set: #customWindowColor for: #SMLoaderPlus to: self dbOrange;
		set: #customWindowColor for: #SMReleaseBrowser to: self dbOrange;
		set: #customWindowColor for: #ScriptingDomain to: self dbYellow;
		set: #customWindowColor for: #SelectorBrowser to: self dbBlue;
		set: #customWindowColor for: #StringHolder to: self dbYellow;
		set: #customWindowColor for: #TestRunner to: self dbOrange;
		set: #customWindowColor for: #TranscriptStream to: self dbOrange;
		set: #customWindowColor for: #VersionsBrowser to: self dbPurple.! !

!CommunityTheme class methodsFor: 'instance creation' stamp: 'mt 7/26/2016 16:23'!
createDark
	"self createDark apply."
	| name |
	name := 'Community (dark)'.
	^ (self named: name) in: [:theme |
		theme merge: (self named: 'Squeak').
		theme name: name.
		
		"General morph stuff."
		theme
			set: #keyboardFocusColor for: #Morph to: Color white;
			set: #keyboardFocusWidth for: #Morph to: 1.
		
		self
			addDarkFonts: theme;
			addDarkWindowColors: theme;
			addDarkSyntaxHighlighting: theme;
			addDarkScrollables: theme;
			addDarkButtons: theme;
			addDarkDialogs: theme;
			addDarkMenusAndDockingBars: theme.

		theme]! !

!CommunityTheme class methodsFor: 'colors by purpose' stamp: 'mt 7/26/2016 15:51'!
dbAqua        
	^Color r: 0.542 g: 0.745 b: 0.717! !

!CommunityTheme class methodsFor: 'colors by purpose' stamp: 'mt 7/26/2016 15:51'!
dbBackground 
	^Color r: 0.113 g: 0.121 b: 0.129
    ! !

!CommunityTheme class methodsFor: 'colors by purpose' stamp: 'mt 7/26/2016 15:51'!
dbBlue         
	^Color r: 0.506 g: 0.635 b: 0.745! !

!CommunityTheme class methodsFor: 'colors by purpose' stamp: 'mt 7/26/2016 15:51'!
dbComment     
	^Color r: 0.588 g: 0.596 b: 0.588
! !

!CommunityTheme class methodsFor: 'colors by purpose' stamp: 'mt 7/26/2016 15:51'!
dbCurrentLine 
	^Color r:0.156 g: 0.164 b: 0.181! !

!CommunityTheme class methodsFor: 'colors by purpose' stamp: 'mt 7/26/2016 15:52'!
dbForeground   
	^Color r: 0.772 g: 0.784 b: 0.776! !

!CommunityTheme class methodsFor: 'colors by purpose' stamp: 'mt 7/26/2016 15:52'!
dbGreen        
	^Color r: 0.71 g: 0.741 b: 0.408! !

!CommunityTheme class methodsFor: 'colors by purpose' stamp: 'mt 7/26/2016 15:52'!
dbOrange       
	^Color r: 0.871 g: 0.577 b: 0.372! !

!CommunityTheme class methodsFor: 'colors by purpose' stamp: 'mt 7/26/2016 15:52'!
dbPurple       
	^Color r: 0.698 g: 0.581 b: 0.733! !

!CommunityTheme class methodsFor: 'colors by purpose' stamp: 'mt 7/26/2016 15:52'!
dbRed 
	^Color r: 0.8 g: 0.4 b: 0.4! !

!CommunityTheme class methodsFor: 'colors by purpose' stamp: 'mt 7/26/2016 15:52'!
dbSelection    
	^Color r: 0.216 g: 0.232 b: 0.255! !

!CommunityTheme class methodsFor: 'colors by purpose' stamp: 'mt 7/26/2016 15:52'!
dbYellow       
	^Color r: 0.941 g: 0.776 b: 0.455! !


!MonokaiTheme class methodsFor: 'colors by accent' stamp: 'mt 7/26/2016 15:09'!
blue

	^ self globalColor! !

!MonokaiTheme class methodsFor: 'colors by accent' stamp: 'mt 7/26/2016 15:10'!
cyan

	^ SolarizedTheme cyan! !

!MonokaiTheme class methodsFor: 'colors by accent' stamp: 'mt 7/26/2016 15:10'!
green

	^ self classColor! !

!MonokaiTheme class methodsFor: 'colors by accent' stamp: 'mt 7/26/2016 15:10'!
magenta

	^ self keywordColor! !

!MonokaiTheme class methodsFor: 'colors by accent' stamp: 'mt 7/26/2016 15:21'!
orange

	^ self argumentColor! !

!MonokaiTheme class methodsFor: 'colors by accent' stamp: 'mt 7/26/2016 15:10'!
red

	^ SolarizedTheme red! !

!MonokaiTheme class methodsFor: 'colors by accent' stamp: 'mt 7/26/2016 15:11'!
violet

	^ self numberColor! !

!MonokaiTheme class methodsFor: 'colors by accent' stamp: 'mt 7/26/2016 15:21'!
yellow

	^ self stringColor! !

!MonokaiTheme class methodsFor: 'instance creation' stamp: 'mt 7/26/2016 15:28'!
addDarkButtons: theme
	"self createDark apply."
	theme
		set: #borderColor for: #PluggableButtonMorph to: self backgroundColor;
		set: #color for: #PluggableButtonMorph to: self invisibleColor;
		set: #textColor for: #PluggableButtonMorph to: self yellow;

		set: #selectionModifier for: #PluggableButtonMorph to: [ [:c | c adjustBrightness: -0.1] ];
		set: #hoverModifier for: #PluggableButtonMorph to: [ [:c | c adjustBrightness: -0.1] ];
		set: #feedbackModifier for: #PluggableButtonMorph to: [ [:c | c adjustBrightness: -0.3] ].
	
	"And the plus-version."
	theme set: #disabledTextColor for: #PluggableButtonMorphPlus to: self grayLight.
! !

!MonokaiTheme class methodsFor: 'instance creation' stamp: 'mt 7/26/2016 15:29'!
addDarkDialogs: theme
	"self createDark apply."
	theme
		set: #borderColor for: #DialogWindow to: self backgroundColor muchDarker;
		set: #color for: #DialogWindow to: self invisibleColor;

		set: #titleColor for: #DialogWindow to: self backgroundColor;
		set: #titleTextColor for: #DialogWindow to: self foregroundColor;
		
		set: #textColor for: #DialogWindow to: self yellow;
		
		set: #okColor for: #DialogWindow to: self green muchDarker;
		set: #cancelColor for: #DialogWindow to: self orange muchDarker;
		set: #buttonColor for: #DialogWindow to: self invisibleColor;
		set: #selectionModifier for: #DialogWindow to: [ [:c | c adjustBrightness: -0.1 ] ].
	
	"The List Chooser is a dialog, too."
	theme
		set: #addColor for: #ListChooser to: self blue;
		set: #disabledColor for: #ListChooser to: Color transparent.

		
	"And the system progress bar."
	theme
		set: #color for: #SystemProgressBarMorph to: Color transparent;
		set: #barColor for: #SystemProgressBarMorph to: self foregroundColor.
		
	"And the balloon morphs."
	theme
		set: #borderColor for: #NewBalloonMorph to: self backgroundColor muchDarker;
		set: #color for: #NewBalloonMorph to: self invisibleColor.! !

!MonokaiTheme class methodsFor: 'instance creation' stamp: 'mt 7/26/2016 15:11'!
addDarkFonts: theme

	"Set-up fonts."
	theme
		set: #balloonHelpFont to: (StrikeFont familyName: 'Darkmap DejaVu Sans' pointSize: 7);
		set: #standardButtonFont to: (StrikeFont familyName: 'Darkmap DejaVu Sans' pointSize: 7);
		set: #standardCodeFont to: (StrikeFont familyName: 'Darkmap DejaVu Sans' pointSize: 9);
		set: #standardDefaultTextFont to: (StrikeFont familyName: 'Darkmap DejaVu Sans' pointSize: 9);
		set: #standardFlapFont to: (StrikeFont familyName: 'Darkmap DejaVu Sans' pointSize: 7 emphasized: TextEmphasis bold emphasisCode);
		set: #haloLabelFont to: (StrikeFont familyName: 'Darkmap DejaVu Sans' pointSize: 9);
		set: #standardListFont to: (StrikeFont familyName: 'Darkmap DejaVu Sans' pointSize: 9);
		set: #standardMenuFont to: (StrikeFont familyName: 'Darkmap DejaVu Sans' pointSize: 9);
		set: #standardSystemFont to: (StrikeFont familyName: 'Darkmap DejaVu Sans' pointSize: 9);
		set: #windowTitleFont to: (StrikeFont familyName: 'Darkmap DejaVu Sans' pointSize: 9).! !

!MonokaiTheme class methodsFor: 'instance creation' stamp: 'mt 7/26/2016 15:15'!
addDarkMenusAndDockingBars: theme
	"self createDark apply."
	theme
		set: #borderWidth for: #MenuMorph to: 0;
		set: #color for: #MenuMorph to: self backgroundColor;
		set: #titleTextColor for: #MenuMorph to: self yellow;
		set: #lineColor for: #MenuMorph to: self invisibleColor;
		set: #lineStyle for: #MenuMorph to: BorderStyle default;
		set: #lineWidth for: #MenuMorph to: 1.
		
	theme
		set: #textColor for: #MenuItemMorph to: self foregroundColor;
		set: #selectionColor for: #MenuItemMorph to: self invisibleColor;
		set: #selectionTextColor for: #MenuItemMorph to: self yellow.
		"set: #subMenuMarker for: #MenuItemMorph to: nil." "Use hard-coded default. See MenuItemMorph."
		
	"The world main docking bar."
	theme
		set: #color for: #DockingBarMorph to: self invisibleColor;
		set: #selectionColor for: #DockingBarItemMorph to: self grayLight;
		set: #logoColor for: #TheWorldMainDockingBar to: self foregroundColor;
		set: #selectionLogoColor for: #TheWorldMainDockingBar to: self yellow.! !

!MonokaiTheme class methodsFor: 'instance creation' stamp: 'mt 7/26/2016 15:22'!
addDarkScrollables: theme
	"self createDark apply."

	"Scroll bars"
	theme
		set: #thumbColor for: #ScrollBar to: self backgroundColor;
		set: #thumbBorderColor for: #ScrollBar to: self backgroundColor;
		set: #thumbBorderWidth for: #ScrollBar to: 1;
		set: #thumbColorModifier for: #ScrollBar to: [ [:c | c adjustBrightness: -0.2] ];
		set: #pagingAreaColorModifier for: #ScrollBar to: [ [:c | Color transparent ] ];
		set: #borderColorModifier for: #ScrollBar to: [ [:c | c adjustBrightness: -0.2] ].
	
	"Scroll panes (includes generic stuff for list widgets, tree widgets, and text widgets."
	theme
		set: #borderWidth for: #ScrollPane to: 0;
	"	set: #borderColor for: #ScrollPane to: Color transparent;"
		set: #color for: #ScrollPane to: self backgroundColor.
		
	"List widgets"
	theme
		set: #textColor for: #PluggableListMorph to: self foregroundColor;
		set: #selectionColor for: #PluggableListMorph to: self invisibleColor;
		set: #selectionTextColor for: #PluggableListMorph to: self yellow;
		set: #filterColor for: #PluggableListMorph to: self yellow;
		set: #filterTextColor for: #PluggableListMorph to: self backgroundColor;
		set: #preSelectionModifier for: #PluggableListMorph to: [ [:c | c lighter alpha: 0.5 ] ];
		set: #hoverSelectionModifier for: #PluggableListMorph to: [ [:c | c lighter alpha: 0.5 ] ].
		
	"Tree widgets"
	theme
		set: #highlightTextColor for: #SimpleHierarchicalListMorph to: self yellow lighter lighter;
		set: #lineColor for: #SimpleHierarchicalListMorph to: self grayLight.
	
	"Text widgets"
	theme
		set: #textColor for: #PluggableTextMorph to: self foregroundColor;
		set: #caretColor for: #PluggableTextMorph to: self yellow;
		set: #selectionColor for: #PluggableTextMorph to: self invisibleColor;
		set: #unfocusedSelectionModifier for: #PluggableTextMorph to: [ [:c | (Color r: 0.285 g: 0.282 b: 0.242) "invisible color"] ];
		set: #adornmentReadOnly for: #PluggableTextMorph to: self magenta;
		set: #adornmentRefuse for: #PluggableTextMorph to: self cyan;
		set: #adornmentConflict for: #PluggableTextMorph to: self red;
		set: #adornmentDiff for: #PluggableTextMorph to: self green;
		set: #adornmentNormalEdit for: #PluggableTextMorph to: self orange;
		set: #adornmentDiffEdit for: #PluggableTextMorph to: self yellow.
	theme
		set: #balloonTextColor for: #PluggableTextMorphPlus to: self grayLight.! !

!MonokaiTheme class methodsFor: 'instance creation' stamp: 'mt 7/26/2016 15:19'!
addDarkSyntaxHighlighting: theme
	"self createDark apply."
	theme	
		set: #default for: #SHTextStylerST80 to: {self foregroundColor};
		set: #invalid for: #SHTextStylerST80 to: {self red};
		set: #excessCode for: #SHTextStylerST80 to: {self red};
		set: #comment for: #SHTextStylerST80 to: {self commentColor};
		set: #unfinishedComment for: #SHTextStylerST80 to: {self red. TextEmphasis italic};
		set: #'$' for: #SHTextStylerST80 to: {self red};
		set: #character for: #SHTextStylerST80 to: {self numberColor};
		set: #integer for: #SHTextStylerST80 to: {self numberColor};
		set: #number for: #SHTextStylerST80 to: {self numberColor};	
		set: #- for: #SHTextStylerST80 to: {self red};
		set: #symbol for: #SHTextStylerST80 to: {self blue};	
		set: #stringSymbol for: #SHTextStylerST80 to: {self blue};	
		set: #literalArray for: #SHTextStylerST80 to: {self blue};
		set: #string for: #SHTextStylerST80 to: {self stringColor. TextEmphasis normal};
		set: #unfinishedString for: #SHTextStylerST80 to: {self red. TextEmphasis normal};
		set: #assignment for: #SHTextStylerST80 to: {nil. TextEmphasis bold};
		set: #ansiAssignment for: #SHTextStylerST80 to: {nil. TextEmphasis bold};
		set: #literal for: #SHTextStylerST80 to: {nil. TextEmphasis italic};
		set: #keyword for: #SHTextStylerST80 to: {self blue};
		set: #binary for: #SHTextStylerST80 to: {self blue};	
		set: #unary for: #SHTextStylerST80 to: {self blue};
		set: #incompleteKeyword for: #SHTextStylerST80 to: {self foregroundColor. TextEmphasis underlined};
		set: #incompleteBinary for: #SHTextStylerST80 to: {self foregroundColor. TextEmphasis underlined};	
		set: #incompleteUnary for: #SHTextStylerST80 to: {self foregroundColor. TextEmphasis underlined};
		set: #undefinedKeyword for: #SHTextStylerST80 to: {self red};
		set: #undefinedBinary for: #SHTextStylerST80 to: {self red};	
		set: #undefinedUnary for: #SHTextStylerST80 to: {self red};													
		set: #patternKeyword for: #SHTextStylerST80 to: {nil. TextEmphasis bold};
		set: #patternBinary for: #SHTextStylerST80 to: {nil. TextEmphasis bold};
		set: #patternUnary for: #SHTextStylerST80 to: {nil. TextEmphasis bold};	
		set: #self for: #SHTextStylerST80 to: {self red};
		set: #super for: #SHTextStylerST80 to: {self red}; 
		set: #true for: #SHTextStylerST80 to: {self red};
		set: #false for: #SHTextStylerST80 to: {self red};
		set: #nil for: #SHTextStylerST80 to: {self red};
		set: #thisContext for: #SHTextStylerST80 to: {self red};
		set: #return for: #SHTextStylerST80 to: {self red};
		set: #patternArg for: #SHTextStylerST80 to: {self blue};	
		set: #methodArg for: #SHTextStylerST80 to: {self blue};
		set: #blockPatternArg for: #SHTextStylerST80 to: {self blue};
		set: #blockArg for: #SHTextStylerST80 to: {self blue};
		set: #argument for: #SHTextStylerST80 to: {self blue};
		set: #blockArgColon for: #SHTextStylerST80 to: {self foregroundColor}; 
		set: #leftParenthesis for: #SHTextStylerST80 to: {self foregroundColor}; 
		set: #rightParenthesis for: #SHTextStylerST80 to: {self foregroundColor}; 
		set: #leftParenthesis1 for: #SHTextStylerST80 to: {self green}; 
		set: #rightParenthesis1 for: #SHTextStylerST80 to: {self green}; 
		set: #leftParenthesis2 for: #SHTextStylerST80 to: {self magenta}; 
		set: #rightParenthesis2 for: #SHTextStylerST80 to: {self magenta}; 
		set: #leftParenthesis3 for: #SHTextStylerST80 to: {self red}; 
		set: #rightParenthesis3 for: #SHTextStylerST80 to: {self red}; 
		set: #leftParenthesis4 for: #SHTextStylerST80 to: {self green}; 
		set: #rightParenthesis4 for: #SHTextStylerST80 to: {self green}; 
		set: #leftParenthesis5 for: #SHTextStylerST80 to: {self orange}; 
		set: #rightParenthesis5 for: #SHTextStylerST80 to: {self orange}; 
		set: #leftParenthesis6 for: #SHTextStylerST80 to: {self magenta}; 
		set: #rightParenthesis6 for: #SHTextStylerST80 to: {self magenta}; 
		set: #leftParenthesis7 for: #SHTextStylerST80 to: {self blue}; 
		set: #rightParenthesis7 for: #SHTextStylerST80 to: {self blue}; 
		set: #blockStart for: #SHTextStylerST80 to: {self foregroundColor}; 
		set: #blockEnd for: #SHTextStylerST80 to: {self foregroundColor}; 
		set: #blockStart1 for: #SHTextStylerST80 to: {self green}; 
		set: #blockEnd1 for: #SHTextStylerST80 to: {self green}; 
		set: #blockStart2 for: #SHTextStylerST80 to: {self magenta}; 
		set: #blockEnd2 for: #SHTextStylerST80 to: {self magenta}; 
		set: #blockStart3 for: #SHTextStylerST80 to: {self red}; 
		set: #blockEnd3 for: #SHTextStylerST80 to: {self red}; 
		set: #blockStart4 for: #SHTextStylerST80 to: {self green}; 
		set: #blockEnd4 for: #SHTextStylerST80 to: {self green}; 
		set: #blockStart5 for: #SHTextStylerST80 to: {self orange}; 
		set: #blockEnd5 for: #SHTextStylerST80 to: {self orange}; 
		set: #blockStart6 for: #SHTextStylerST80 to: {self magenta}; 
		set: #blockEnd6 for: #SHTextStylerST80 to: {self magenta}; 
		set: #blockStart7 for: #SHTextStylerST80 to: {self blue}; 
		set: #blockEnd7 for: #SHTextStylerST80 to: {self blue}; 																																																		
		set: #arrayStart for: #SHTextStylerST80 to: {self foregroundColor}; 
		set: #arrayEnd for: #SHTextStylerST80 to: {self foregroundColor}; 
		set: #arrayStart1 for: #SHTextStylerST80 to: {self foregroundColor}; 
		set: #arrayEnd1 for: #SHTextStylerST80 to: {self foregroundColor}; 
		set: #byteArrayStart for: #SHTextStylerST80 to: {self foregroundColor}; 
		set: #byteArrayEnd for: #SHTextStylerST80 to: {self foregroundColor}; 
		set: #byteArrayStart1 for: #SHTextStylerST80 to: {self foregroundColor}; 
		set: #byteArrayEnd1 for: #SHTextStylerST80 to: {self foregroundColor}; 
		set: #leftBrace for: #SHTextStylerST80 to: {self foregroundColor}; 
		set: #rightBrace for: #SHTextStylerST80 to: {self foregroundColor}; 
		set: #cascadeSeparator for: #SHTextStylerST80 to: {self foregroundColor}; 
		set: #statementSeparator for: #SHTextStylerST80 to: {self foregroundColor}; 
		set: #externalCallType for: #SHTextStylerST80 to: {self foregroundColor}; 
		set: #externalCallTypePointerIndicator for: #SHTextStylerST80 to: {self foregroundColor}; 
		set: #primitiveOrExternalCallStart for: #SHTextStylerST80 to: {self foregroundColor}; 
		set: #primitiveOrExternalCallEnd for: #SHTextStylerST80 to: {self foregroundColor};
		set: #methodTempBar for: #SHTextStylerST80 to: {self foregroundColor}; 
		set: #blockTempBar for: #SHTextStylerST80 to: {self foregroundColor};
		set: #blockArgsBar for: #SHTextStylerST80 to: {self foregroundColor};
		set: #primitive for: #SHTextStylerST80 to: {self green. TextEmphasis bold};
		set: #pragmaKeyword for: #SHTextStylerST80 to: {self green. TextEmphasis bold};
		set: #pragmaUnary for: #SHTextStylerST80 to: {self green. TextEmphasis bold};
		set: #pragmaBinary for: #SHTextStylerST80 to: {self green. TextEmphasis bold};									
		set: #externalFunctionCallingConvention for: #SHTextStylerST80 to: {self green. TextEmphasis bold}; 
		set: #module for: #SHTextStylerST80 to: {self green. TextEmphasis bold};
		set: #blockTempVar for: #SHTextStylerST80 to: {self foregroundColor};
		set: #blockPatternTempVar for: #SHTextStylerST80 to: {self foregroundColor};
		set: #instVar for: #SHTextStylerST80 to: {self foregroundColor};
		set: #workspaceVar for: #SHTextStylerST80 to: {self foregroundColor};
		set: #undefinedIdentifier for: #SHTextStylerST80 to: {self red};
		set: #incompleteIdentifier for: #SHTextStylerST80 to: {self foregroundColor. {TextEmphasis italic. TextEmphasis underlined}};
		set: #tempVar for: #SHTextStylerST80 to: {self foregroundColor};
		set: #patternTempVar for: #SHTextStylerST80 to: {self foregroundColor};
		set: #poolConstant for: #SHTextStylerST80 to: {self foregroundColor};
		set: #classVar for: #SHTextStylerST80 to: {self foregroundColor};
		set: #globalVar for: #SHTextStylerST80 to: {self foregroundColor}.
		
	"And the text differ"
	theme	
		set: #insertTextAttributes for: #TextDiffBuilder to: { TextColor color: self red };
		set: #removeTextAttributes for: #TextDiffBuilder to: { TextEmphasis struckOut. TextColor color: self blue };
		set: #normalTextAttributes for: #TextDiffBuilder to: { TextEmphasis normal }.! !

!MonokaiTheme class methodsFor: 'instance creation' stamp: 'mt 7/26/2016 15:26'!
addDarkWindowColors: theme
	"self createDark apply."
	theme
		set: #uniformWindowColor for: #Model to: self invisibleColor;
		
		set: #unfocusedWindowColorModifier for: #SystemWindow to: [ [:color | 
			Model useColorfulWindows
				ifTrue: [color darker]
				ifFalse: [(Color r: 0.152 g: 0.156 b: 0.133) "background color"] ] ];
		set: #unfocusedLabelColor for: #SystemWindow to: [
			Model useColorfulWindows
				ifTrue: [(Color r: 0.285 g: 0.282 b: 0.242) "invisible color"]
				ifFalse: [(Color r: 0.972 g: 0.972 b: 0.948) "foreground color"] ];
		set: #focusedLabelColor for: #SystemWindow to: [
			Model useColorfulWindows
				ifTrue: [(Color r: 0.152 g: 0.156 b: 0.133) "background color"]
				ifFalse: [(Color r: 0.901 g: 0.858 b: 0.455) "yellow"] ];

		set: #customWindowColor for: #Browser to: self green;
		set: #customWindowColor for: #ChangeList to: self blue;
		set: #customWindowColor for: #ChangeSorter to: self blue;
		set: #customWindowColor for: #ChatNotes to: self magenta;
		set: #customWindowColor for: #ClassCommentVersionsBrowser to: self violet;
		set: #customWindowColor for: #Debugger to: self red;
		set: #customWindowColor for: #DualChangeSorter to: self blue;
		set: #customWindowColor for: #FileContentsBrowser to: self yellow;
		set: #customWindowColor for: #FileList to: self yellow;
		set: #customWindowColor for: #InstanceBrowser to: self cyan;
		set: #customWindowColor for: #Lexicon to: self cyan;
		set: #customWindowColor for: #MCTool to: self violet;
		set: #customWindowColor for: #MessageNames to: self green;
		set: #customWindowColor for: #MessageSet to: self cyan;
		set: #customWindowColor for: #PackagePaneBrowser to: self green;
		set: #customWindowColor for: #PluggableFileList to: self yellow;
		set: #customWindowColor for: #PreferenceBrowser to: self cyan;
		set: #customWindowColor for: #SMLoader to: self orange;
		set: #customWindowColor for: #SMLoaderPlus to: self orange;
		set: #customWindowColor for: #SMReleaseBrowser to: self orange;
		set: #customWindowColor for: #ScriptingDomain to: self yellow;
		set: #customWindowColor for: #SelectorBrowser to: self cyan;
		set: #customWindowColor for: #StringHolder to: self yellow;
		set: #customWindowColor for: #TestRunner to: self orange;
		set: #customWindowColor for: #TranscriptStream to: self orange;
		set: #customWindowColor for: #VersionsBrowser to: self violet.! !

!MonokaiTheme class methodsFor: 'instance creation' stamp: 'mt 7/26/2016 15:23'!
createDark
	"self createDark apply."
	| name |
	name := 'Monokai (dark)'.
	^ (self named: name) in: [:theme |
		theme merge: (self named: 'Squeak').
		theme name: name.
		
		"General morph stuff."
		theme
			set: #keyboardFocusColor for: #Morph to: self yellow;
			set: #keyboardFocusWidth for: #Morph to: 1.

		self
			addDarkFonts: theme;
			addDarkWindowColors: theme;
			addDarkSyntaxHighlighting: theme;
			addDarkScrollables: theme;
			addDarkButtons: theme;
			addDarkDialogs: theme;
			addDarkMenusAndDockingBars: theme.

		theme]! !

!MonokaiTheme class methodsFor: 'colors by purpose' stamp: 'mt 7/26/2016 15:04'!
argumentColor
	
	^ Color fromString: '#FD971F'! !

!MonokaiTheme class methodsFor: 'colors by purpose' stamp: 'mt 7/26/2016 15:04'!
backgroundColor

	^ Color fromString: '#272822'! !

!MonokaiTheme class methodsFor: 'colors by purpose' stamp: 'mt 7/26/2016 15:05'!
caretColor
	"invalid foreground, invalid deprecated foreground ..."
	
	^ Color fromString: '#F8F8F0'! !

!MonokaiTheme class methodsFor: 'colors by purpose' stamp: 'mt 7/26/2016 15:05'!
classColor
	"inherited class, function name, tag attribute,  ..."
	
	^ Color fromString: '#A6E22E'! !

!MonokaiTheme class methodsFor: 'colors by purpose' stamp: 'mt 7/26/2016 15:05'!
commentColor
	
	^ Color fromString: '#75715E'! !

!MonokaiTheme class methodsFor: 'colors by purpose' stamp: 'mt 7/26/2016 15:03'!
foregroundColor

	^ Color fromString: '#F8F8F2'! !

!MonokaiTheme class methodsFor: 'colors by purpose' stamp: 'mt 7/26/2016 15:06'!
globalColor
	"library function, library constant, library class type, ..."
	
	^ Color fromString: '#66D9EF'! !

!MonokaiTheme class methodsFor: 'colors by purpose' stamp: 'mt 7/26/2016 15:06'!
grayDarker
	
	^ Color fromString: '#383830'! !

!MonokaiTheme class methodsFor: 'colors by purpose' stamp: 'mt 7/26/2016 15:06'!
grayLight
	
	^ Color fromString: '#595959'! !

!MonokaiTheme class methodsFor: 'colors by purpose' stamp: 'mt 7/26/2016 15:06'!
grayLightest
	
	^ Color fromString: '#E6E6E6'! !

!MonokaiTheme class methodsFor: 'colors by purpose' stamp: 'mt 7/26/2016 15:04'!
invisibleColor
	"line highlight, selection, ..."
	
	^ Color fromString: '#49483E'! !

!MonokaiTheme class methodsFor: 'colors by purpose' stamp: 'mt 7/26/2016 15:06'!
keywordColor
	"tag name, invalid background,  ..."
	
	^ Color fromString: '#F92672'! !

!MonokaiTheme class methodsFor: 'colors by purpose' stamp: 'mt 7/26/2016 15:07'!
numberColor
	"Constant, invalid deprecated background, ..."
	"purple"
	
	^ Color fromString: '#AE81FF'! !

!MonokaiTheme class methodsFor: 'colors by purpose' stamp: 'mt 7/26/2016 15:07'!
stringColor
	
	^ Color fromString: '#E6DB74'! !


!SolarizedTheme class methodsFor: 'colors for accent' stamp: 'mt 7/25/2016 17:01'!
blue

	^ Color fromString: '#268bd2'! !

!SolarizedTheme class methodsFor: 'colors for accent' stamp: 'mt 7/25/2016 17:02'!
cyan

	^ Color fromString: '#2aa198'! !

!SolarizedTheme class methodsFor: 'colors for accent' stamp: 'mt 7/25/2016 17:02'!
green

	^ Color fromString: '#859900'! !

!SolarizedTheme class methodsFor: 'colors for accent' stamp: 'mt 7/25/2016 17:02'!
magenta

	^ Color fromString: '#d33682'! !

!SolarizedTheme class methodsFor: 'colors for accent' stamp: 'mt 7/25/2016 17:02'!
orange

	^ Color fromString: '#cb4b16'! !

!SolarizedTheme class methodsFor: 'colors for accent' stamp: 'mt 7/25/2016 17:02'!
red

	^ Color fromString: '#dc322f'! !

!SolarizedTheme class methodsFor: 'colors for accent' stamp: 'mt 7/25/2016 17:02'!
violet

	^ Color fromString: '#6c71c4'! !

!SolarizedTheme class methodsFor: 'colors for accent' stamp: 'mt 7/25/2016 17:02'!
yellow

	^ Color fromString: '#b58900'! !

!SolarizedTheme class methodsFor: 'colors by name' stamp: 'mt 7/25/2016 17:00'!
base0

	^ Color fromString: '#839496'! !

!SolarizedTheme class methodsFor: 'colors by name' stamp: 'mt 7/25/2016 17:00'!
base00

	^ Color fromString: '#657b83'! !

!SolarizedTheme class methodsFor: 'colors by name' stamp: 'mt 7/25/2016 17:00'!
base01

	^ Color fromString: '#586e75'! !

!SolarizedTheme class methodsFor: 'colors by name' stamp: 'mt 7/25/2016 17:01'!
base02

	^ Color fromString: '#073642'! !

!SolarizedTheme class methodsFor: 'colors by name' stamp: 'mt 7/25/2016 17:01'!
base03

	^ Color fromString: '#002b36'! !

!SolarizedTheme class methodsFor: 'colors by name' stamp: 'mt 7/25/2016 17:01'!
base1

	^ Color fromString: '#93a1a1'! !

!SolarizedTheme class methodsFor: 'colors by name' stamp: 'mt 7/25/2016 17:01'!
base2

	^ Color fromString: '#eee8d5'! !

!SolarizedTheme class methodsFor: 'colors by name' stamp: 'mt 7/25/2016 17:01'!
base3

	^ Color fromString: '#fdf6e3'! !

!SolarizedTheme class methodsFor: 'colors by purpose' stamp: 'mt 7/25/2016 17:09'!
darkBackground
	^ self base03! !

!SolarizedTheme class methodsFor: 'colors by purpose' stamp: 'mt 7/25/2016 17:09'!
darkBackgroundHighlights

	^ self base02! !

!SolarizedTheme class methodsFor: 'colors by purpose' stamp: 'mt 7/25/2016 17:09'!
darkContentEmphasized

	^ self base1! !

!SolarizedTheme class methodsFor: 'colors by purpose' stamp: 'mt 7/25/2016 17:09'!
darkContentEmphasizedMore

	^ self base2! !

!SolarizedTheme class methodsFor: 'colors by purpose' stamp: 'mt 7/25/2016 17:10'!
darkContentPrimary
	"body text, default code, ..."

	^ self base0! !

!SolarizedTheme class methodsFor: 'colors by purpose' stamp: 'mt 7/25/2016 17:10'!
darkContentSecondary
	"comments, keyboard focus indication, ..."

	^ self base01! !

!SolarizedTheme class methodsFor: 'colors by purpose' stamp: 'mt 7/25/2016 17:10'!
lightBackground

	^ self base3! !

!SolarizedTheme class methodsFor: 'colors by purpose' stamp: 'mt 7/25/2016 17:10'!
lightBackgroundHighlights

	^ self base2! !

!SolarizedTheme class methodsFor: 'colors by purpose' stamp: 'mt 7/25/2016 17:10'!
lightContentEmphasized

	^ self base01! !

!SolarizedTheme class methodsFor: 'colors by purpose' stamp: 'mt 7/25/2016 17:10'!
lightContentEmphasizedMore

	^ self base02! !

!SolarizedTheme class methodsFor: 'colors by purpose' stamp: 'mt 7/25/2016 17:10'!
lightContentPrimary
	"body text, default code, ..."

	^ self base00! !

!SolarizedTheme class methodsFor: 'colors by purpose' stamp: 'mt 7/25/2016 17:10'!
lightContentSecondary
	"comments, ..."

	^ self base1! !

!SolarizedTheme class methodsFor: 'instance creation' stamp: 'mt 7/26/2016 10:56'!
addDarkButtons: theme
	"self createDark apply."
	theme
		set: #borderColor for: #PluggableButtonMorph to: self darkBackground;
		set: #color for: #PluggableButtonMorph to: self darkBackgroundHighlights;
		set: #textColor for: #PluggableButtonMorph to: self darkContentEmphasizedMore;

		set: #selectionModifier for: #PluggableButtonMorph to: [ [:c | c adjustBrightness: -0.1] ];
		set: #hoverModifier for: #PluggableButtonMorph to: [ [:c | c adjustBrightness: -0.1] ];
		set: #feedbackModifier for: #PluggableButtonMorph to: [ [:c | c adjustBrightness: -0.3] ].
	
	"And the plus-version."
	theme set: #disabledTextColor for: #PluggableButtonMorphPlus to: self darkContentEmphasized.
! !

!SolarizedTheme class methodsFor: 'instance creation' stamp: 'mt 7/26/2016 13:18'!
addDarkDialogs: theme
	"self createDark apply."
	theme
		set: #borderColor for: #DialogWindow to: self darkBackground muchDarker;
		set: #color for: #DialogWindow to: self darkBackgroundHighlights;

		set: #titleColor for: #DialogWindow to: self darkBackground;
		set: #titleTextColor for: #DialogWindow to: self darkContentEmphasized;
		
		set: #textColor for: #DialogWindow to: self darkContentEmphasizedMore;
		
		set: #okColor for: #DialogWindow to: self green;
		set: #cancelColor for: #DialogWindow to: self orange;
		set: #buttonColor for: #DialogWindow to: self darkBackgroundHighlights;
		set: #selectionModifier for: #DialogWindow to: [ [:c | c adjustBrightness: -0.1 ] ].
	
	"The List Chooser is a dialog, too."
	theme
		set: #addColor for: #ListChooser to: self blue;
		set: #disabledColor for: #ListChooser to: Color transparent.

		
	"And the system progress bar."
	theme
		set: #color for: #SystemProgressBarMorph to: Color transparent;
		set: #barColor for: #SystemProgressBarMorph to: self darkContentEmphasized.
		
	"And the balloon morphs."
	theme
		set: #borderColor for: #NewBalloonMorph to: self darkBackground muchDarker;
		set: #color for: #NewBalloonMorph to: self darkBackgroundHighlights.! !

!SolarizedTheme class methodsFor: 'instance creation' stamp: 'mt 7/26/2016 11:08'!
addDarkFonts: theme

	"Set-up fonts."
	theme
		set: #balloonHelpFont to: (StrikeFont familyName: 'Darkmap DejaVu Sans' pointSize: 7);
		set: #standardButtonFont to: (StrikeFont familyName: 'Darkmap DejaVu Sans' pointSize: 7);
		set: #standardCodeFont to: (StrikeFont familyName: 'Darkmap DejaVu Sans' pointSize: 9);
		set: #standardDefaultTextFont to: (StrikeFont familyName: 'Darkmap DejaVu Sans' pointSize: 9);
		set: #standardFlapFont to: (StrikeFont familyName: 'Darkmap DejaVu Sans' pointSize: 7 emphasized: TextEmphasis bold emphasisCode);
		set: #haloLabelFont to: (StrikeFont familyName: 'Darkmap DejaVu Sans' pointSize: 9);
		set: #standardListFont to: (StrikeFont familyName: 'Darkmap DejaVu Sans' pointSize: 9);
		set: #standardMenuFont to: (StrikeFont familyName: 'Darkmap DejaVu Sans' pointSize: 9);
		set: #standardSystemFont to: (StrikeFont familyName: 'Darkmap DejaVu Sans' pointSize: 9);
		set: #windowTitleFont to: (StrikeFont familyName: 'Darkmap DejaVu Sans' pointSize: 9).! !

!SolarizedTheme class methodsFor: 'instance creation' stamp: 'mt 7/26/2016 12:46'!
addDarkMenusAndDockingBars: theme
	"self createDark apply."
	theme
		set: #borderWidth for: #MenuMorph to: 0;
		set: #color for: #MenuMorph to: self darkBackground;
		set: #titleTextColor for: #MenuMorph to: self darkContentEmphasizedMore;
		set: #lineColor for: #MenuMorph to: self darkBackgroundHighlights;
		set: #lineStyle for: #MenuMorph to: BorderStyle default;
		set: #lineWidth for: #MenuMorph to: 1.
		
	theme
		set: #textColor for: #MenuItemMorph to: self darkContentEmphasized;
		set: #selectionColor for: #MenuItemMorph to: self darkBackgroundHighlights;
		set: #selectionTextColor for: #MenuItemMorph to: self darkContentEmphasizedMore.
		"set: #subMenuMarker for: #MenuItemMorph to: nil." "Use hard-coded default. See MenuItemMorph."
		
	"The world main docking bar."
	theme
		set: #color for: #DockingBarMorph to: self darkBackgroundHighlights;
		set: #selectionColor for: #DockingBarItemMorph to: self darkContentSecondary;
		set: #logoColor for: #TheWorldMainDockingBar to: self darkContentEmphasized;
		set: #selectionLogoColor for: #TheWorldMainDockingBar to: self darkContentEmphasizedMore.! !

!SolarizedTheme class methodsFor: 'instance creation' stamp: 'mt 7/26/2016 13:15'!
addDarkScrollables: theme
	"self createDark apply."

	"Scroll bars"
	theme
		set: #thumbColor for: #ScrollBar to: self darkBackground;
		set: #thumbBorderColor for: #ScrollBar to: self darkBackground;
		set: #thumbBorderWidth for: #ScrollBar to: 1;
		set: #thumbColorModifier for: #ScrollBar to: [ [:c | c adjustBrightness: -0.1] ];
		set: #pagingAreaColorModifier for: #ScrollBar to: [ [:c | Color transparent ] ];
		set: #borderColorModifier for: #ScrollBar to: [ [:c | c adjustBrightness: -0.1] ].
	
	"Scroll panes (includes generic stuff for list widgets, tree widgets, and text widgets."
	theme
		set: #borderWidth for: #ScrollPane to: 0;
	"	set: #borderColor for: #ScrollPane to: Color transparent;"
		set: #color for: #ScrollPane to: self darkBackground.
		
	"List widgets"
	theme
		set: #textColor for: #PluggableListMorph to: self darkContentEmphasized;
		set: #selectionColor for: #PluggableListMorph to: self darkBackgroundHighlights;
		set: #selectionTextColor for: #PluggableListMorph to: self darkContentEmphasizedMore;
		set: #filterColor for: #PluggableListMorph to: self yellow;
		set: #filterTextColor for: #PluggableListMorph to: self base03;
		set: #preSelectionModifier for: #PluggableListMorph to: [ [:c | c lighter alpha: 0.5 ] ];
		set: #hoverSelectionModifier for: #PluggableListMorph to: [ [:c | c lighter alpha: 0.5 ] ].
		
	"Tree widgets"
	theme
		set: #highlightTextColor for: #SimpleHierarchicalListMorph to: self yellow lighter lighter;
		set: #lineColor for: #SimpleHierarchicalListMorph to: self darkContentSecondary.
	
	"Text widgets"
	theme
		set: #textColor for: #PluggableTextMorph to: self darkContentPrimary;
		set: #caretColor for: #PluggableTextMorph to: self darkContentEmphasizedMore;
		set: #selectionColor for: #PluggableTextMorph to: self darkBackgroundHighlights;
		set: #unfocusedSelectionModifier for: #PluggableTextMorph to: [ [:c | (Color r: 0.027 g: 0.211 b: 0.258) "dark background highlights"] ];
		set: #adornmentReadOnly for: #PluggableTextMorph to: self magenta;
		set: #adornmentRefuse for: #PluggableTextMorph to: self cyan;
		set: #adornmentConflict for: #PluggableTextMorph to: self red;
		set: #adornmentDiff for: #PluggableTextMorph to: self green;
		set: #adornmentNormalEdit for: #PluggableTextMorph to: self orange;
		set: #adornmentDiffEdit for: #PluggableTextMorph to: self yellow.
	theme
		set: #balloonTextColor for: #PluggableTextMorphPlus to: self darkContentSecondary.! !

!SolarizedTheme class methodsFor: 'instance creation' stamp: 'mt 7/25/2016 18:41'!
addDarkSyntaxHighlighting: theme
	"self createDark apply."
	theme	
		set: #default for: #SHTextStylerST80 to: {self darkContentPrimary};
		set: #invalid for: #SHTextStylerST80 to: {self red};
		set: #excessCode for: #SHTextStylerST80 to: {self red};
		set: #comment for: #SHTextStylerST80 to: {self cyan};
		set: #unfinishedComment for: #SHTextStylerST80 to: {self red. TextEmphasis italic};
		set: #'$' for: #SHTextStylerST80 to: {self red};
		set: #character for: #SHTextStylerST80 to: {self red};
		set: #integer for: #SHTextStylerST80 to: {self red};
		set: #number for: #SHTextStylerST80 to: {self red};	
		set: #- for: #SHTextStylerST80 to: {self red};
		set: #symbol for: #SHTextStylerST80 to: {self blue};	
		set: #stringSymbol for: #SHTextStylerST80 to: {self blue};	
		set: #literalArray for: #SHTextStylerST80 to: {self blue};
		set: #string for: #SHTextStylerST80 to: {self magenta. TextEmphasis normal};
		set: #unfinishedString for: #SHTextStylerST80 to: {self red. TextEmphasis normal};
		set: #assignment for: #SHTextStylerST80 to: {nil. TextEmphasis bold};
		set: #ansiAssignment for: #SHTextStylerST80 to: {nil. TextEmphasis bold};
		set: #literal for: #SHTextStylerST80 to: {nil. TextEmphasis italic};
		set: #keyword for: #SHTextStylerST80 to: {self blue};
		set: #binary for: #SHTextStylerST80 to: {self blue};	
		set: #unary for: #SHTextStylerST80 to: {self blue};
		set: #incompleteKeyword for: #SHTextStylerST80 to: {self darkContentPrimary. TextEmphasis underlined};
		set: #incompleteBinary for: #SHTextStylerST80 to: {self darkContentPrimary. TextEmphasis underlined};	
		set: #incompleteUnary for: #SHTextStylerST80 to: {self darkContentPrimary. TextEmphasis underlined};
		set: #undefinedKeyword for: #SHTextStylerST80 to: {self red};
		set: #undefinedBinary for: #SHTextStylerST80 to: {self red};	
		set: #undefinedUnary for: #SHTextStylerST80 to: {self red};													
		set: #patternKeyword for: #SHTextStylerST80 to: {nil. TextEmphasis bold};
		set: #patternBinary for: #SHTextStylerST80 to: {nil. TextEmphasis bold};
		set: #patternUnary for: #SHTextStylerST80 to: {nil. TextEmphasis bold};	
		set: #self for: #SHTextStylerST80 to: {self red};
		set: #super for: #SHTextStylerST80 to: {self red}; 
		set: #true for: #SHTextStylerST80 to: {self red};
		set: #false for: #SHTextStylerST80 to: {self red};
		set: #nil for: #SHTextStylerST80 to: {self red};
		set: #thisContext for: #SHTextStylerST80 to: {self red};
		set: #return for: #SHTextStylerST80 to: {self red};
		set: #patternArg for: #SHTextStylerST80 to: {self blue};	
		set: #methodArg for: #SHTextStylerST80 to: {self blue};
		set: #blockPatternArg for: #SHTextStylerST80 to: {self blue};
		set: #blockArg for: #SHTextStylerST80 to: {self blue};
		set: #argument for: #SHTextStylerST80 to: {self blue};
		set: #blockArgColon for: #SHTextStylerST80 to: {self darkContentPrimary}; 
		set: #leftParenthesis for: #SHTextStylerST80 to: {self darkContentPrimary}; 
		set: #rightParenthesis for: #SHTextStylerST80 to: {self darkContentPrimary}; 
		set: #leftParenthesis1 for: #SHTextStylerST80 to: {self green}; 
		set: #rightParenthesis1 for: #SHTextStylerST80 to: {self green}; 
		set: #leftParenthesis2 for: #SHTextStylerST80 to: {self magenta}; 
		set: #rightParenthesis2 for: #SHTextStylerST80 to: {self magenta}; 
		set: #leftParenthesis3 for: #SHTextStylerST80 to: {self red}; 
		set: #rightParenthesis3 for: #SHTextStylerST80 to: {self red}; 
		set: #leftParenthesis4 for: #SHTextStylerST80 to: {self green}; 
		set: #rightParenthesis4 for: #SHTextStylerST80 to: {self green}; 
		set: #leftParenthesis5 for: #SHTextStylerST80 to: {self orange}; 
		set: #rightParenthesis5 for: #SHTextStylerST80 to: {self orange}; 
		set: #leftParenthesis6 for: #SHTextStylerST80 to: {self magenta}; 
		set: #rightParenthesis6 for: #SHTextStylerST80 to: {self magenta}; 
		set: #leftParenthesis7 for: #SHTextStylerST80 to: {self blue}; 
		set: #rightParenthesis7 for: #SHTextStylerST80 to: {self blue}; 
		set: #blockStart for: #SHTextStylerST80 to: {self darkContentPrimary}; 
		set: #blockEnd for: #SHTextStylerST80 to: {self darkContentPrimary}; 
		set: #blockStart1 for: #SHTextStylerST80 to: {self green}; 
		set: #blockEnd1 for: #SHTextStylerST80 to: {self green}; 
		set: #blockStart2 for: #SHTextStylerST80 to: {self magenta}; 
		set: #blockEnd2 for: #SHTextStylerST80 to: {self magenta}; 
		set: #blockStart3 for: #SHTextStylerST80 to: {self red}; 
		set: #blockEnd3 for: #SHTextStylerST80 to: {self red}; 
		set: #blockStart4 for: #SHTextStylerST80 to: {self green}; 
		set: #blockEnd4 for: #SHTextStylerST80 to: {self green}; 
		set: #blockStart5 for: #SHTextStylerST80 to: {self orange}; 
		set: #blockEnd5 for: #SHTextStylerST80 to: {self orange}; 
		set: #blockStart6 for: #SHTextStylerST80 to: {self magenta}; 
		set: #blockEnd6 for: #SHTextStylerST80 to: {self magenta}; 
		set: #blockStart7 for: #SHTextStylerST80 to: {self blue}; 
		set: #blockEnd7 for: #SHTextStylerST80 to: {self blue}; 																																																		
		set: #arrayStart for: #SHTextStylerST80 to: {self darkContentPrimary}; 
		set: #arrayEnd for: #SHTextStylerST80 to: {self darkContentPrimary}; 
		set: #arrayStart1 for: #SHTextStylerST80 to: {self darkContentPrimary}; 
		set: #arrayEnd1 for: #SHTextStylerST80 to: {self darkContentPrimary}; 
		set: #byteArrayStart for: #SHTextStylerST80 to: {self darkContentPrimary}; 
		set: #byteArrayEnd for: #SHTextStylerST80 to: {self darkContentPrimary}; 
		set: #byteArrayStart1 for: #SHTextStylerST80 to: {self darkContentPrimary}; 
		set: #byteArrayEnd1 for: #SHTextStylerST80 to: {self darkContentPrimary}; 
		set: #leftBrace for: #SHTextStylerST80 to: {self darkContentPrimary}; 
		set: #rightBrace for: #SHTextStylerST80 to: {self darkContentPrimary}; 
		set: #cascadeSeparator for: #SHTextStylerST80 to: {self darkContentPrimary}; 
		set: #statementSeparator for: #SHTextStylerST80 to: {self darkContentPrimary}; 
		set: #externalCallType for: #SHTextStylerST80 to: {self darkContentPrimary}; 
		set: #externalCallTypePointerIndicator for: #SHTextStylerST80 to: {self darkContentPrimary}; 
		set: #primitiveOrExternalCallStart for: #SHTextStylerST80 to: {self darkContentPrimary}; 
		set: #primitiveOrExternalCallEnd for: #SHTextStylerST80 to: {self darkContentPrimary};
		set: #methodTempBar for: #SHTextStylerST80 to: {self darkContentPrimary}; 
		set: #blockTempBar for: #SHTextStylerST80 to: {self darkContentPrimary};
		set: #blockArgsBar for: #SHTextStylerST80 to: {self darkContentPrimary};
		set: #primitive for: #SHTextStylerST80 to: {self green. TextEmphasis bold};
		set: #pragmaKeyword for: #SHTextStylerST80 to: {self green. TextEmphasis bold};
		set: #pragmaUnary for: #SHTextStylerST80 to: {self green. TextEmphasis bold};
		set: #pragmaBinary for: #SHTextStylerST80 to: {self green. TextEmphasis bold};									
		set: #externalFunctionCallingConvention for: #SHTextStylerST80 to: {self green. TextEmphasis bold}; 
		set: #module for: #SHTextStylerST80 to: {self green. TextEmphasis bold};
		set: #blockTempVar for: #SHTextStylerST80 to: {self darkContentPrimary};
		set: #blockPatternTempVar for: #SHTextStylerST80 to: {self darkContentPrimary};
		set: #instVar for: #SHTextStylerST80 to: {self darkContentPrimary};
		set: #workspaceVar for: #SHTextStylerST80 to: {self darkContentPrimary};
		set: #undefinedIdentifier for: #SHTextStylerST80 to: {self red};
		set: #incompleteIdentifier for: #SHTextStylerST80 to: {self darkContentPrimary. {TextEmphasis italic. TextEmphasis underlined}};
		set: #tempVar for: #SHTextStylerST80 to: {self darkContentPrimary};
		set: #patternTempVar for: #SHTextStylerST80 to: {self darkContentPrimary};
		set: #poolConstant for: #SHTextStylerST80 to: {self darkContentPrimary};
		set: #classVar for: #SHTextStylerST80 to: {self darkContentPrimary};
		set: #globalVar for: #SHTextStylerST80 to: {self darkContentPrimary}.
		
	"And the text differ"
	theme	
		set: #insertTextAttributes for: #TextDiffBuilder to: { TextColor color: self red };
		set: #removeTextAttributes for: #TextDiffBuilder to: { TextEmphasis struckOut. TextColor color: self blue };
		set: #normalTextAttributes for: #TextDiffBuilder to: { TextEmphasis normal }.! !

!SolarizedTheme class methodsFor: 'instance creation' stamp: 'mt 7/26/2016 11:09'!
addDarkWindowColors: theme
	"self createDark apply."
	theme
		set: #uniformWindowColor for: #Model to: self darkBackgroundHighlights;
		
		set: #unfocusedWindowColorModifier for: #SystemWindow to: [ [:color | 
			Model useColorfulWindows
				ifTrue: [color darker]
				ifFalse: [(Color r: 0.0 g: 0.168 b: 0.211) "dark background"] ] ];
		set: #unfocusedLabelColor for: #SystemWindow to: self darkContentEmphasized;
		set: #focusedLabelColor for: #SystemWindow to: self darkContentEmphasizedMore;

		set: #customWindowColor for: #Browser to: self green;
		set: #customWindowColor for: #ChangeList to: self blue;
		set: #customWindowColor for: #ChangeSorter to: self blue;
		set: #customWindowColor for: #ChatNotes to: self magenta;
		set: #customWindowColor for: #ClassCommentVersionsBrowser to: self violet;
		set: #customWindowColor for: #Debugger to: self red;
		set: #customWindowColor for: #DualChangeSorter to: self blue;
		set: #customWindowColor for: #FileContentsBrowser to: self yellow;
		set: #customWindowColor for: #FileList to: self yellow;
		set: #customWindowColor for: #InstanceBrowser to: self cyan;
		set: #customWindowColor for: #Lexicon to: self cyan;
		set: #customWindowColor for: #MCTool to: self violet;
		set: #customWindowColor for: #MessageNames to: self green;
		set: #customWindowColor for: #MessageSet to: self cyan;
		set: #customWindowColor for: #PackagePaneBrowser to: self green;
		set: #customWindowColor for: #PluggableFileList to: self yellow;
		set: #customWindowColor for: #PreferenceBrowser to: self cyan;
		set: #customWindowColor for: #SMLoader to: self orange;
		set: #customWindowColor for: #SMLoaderPlus to: self orange;
		set: #customWindowColor for: #SMReleaseBrowser to: self orange;
		set: #customWindowColor for: #ScriptingDomain to: self yellow;
		set: #customWindowColor for: #SelectorBrowser to: self cyan;
		set: #customWindowColor for: #StringHolder to: self yellow;
		set: #customWindowColor for: #TestRunner to: self orange;
		set: #customWindowColor for: #TranscriptStream to: self orange;
		set: #customWindowColor for: #VersionsBrowser to: self violet.! !

!SolarizedTheme class methodsFor: 'instance creation' stamp: 'mt 7/26/2016 13:17'!
addLightButtons: theme
	"self createDark apply."
	theme
		set: #borderColor for: #PluggableButtonMorph to: self lightBackground;
		set: #color for: #PluggableButtonMorph to: self lightBackgroundHighlights;
		set: #textColor for: #PluggableButtonMorph to: self lightContentEmphasizedMore;

		set: #selectionModifier for: #PluggableButtonMorph to: [ [:c | c adjustBrightness: -0.1] ];
		set: #hoverModifier for: #PluggableButtonMorph to: [ [:c | c adjustBrightness: -0.1] ];
		set: #feedbackModifier for: #PluggableButtonMorph to: [ [:c | c adjustBrightness: -0.3] ].
	
	"And the plus-version."
	theme set: #disabledTextColor for: #PluggableButtonMorphPlus to: self lightContentEmphasized.
! !

!SolarizedTheme class methodsFor: 'instance creation' stamp: 'mt 7/26/2016 13:18'!
addLightDialogs: theme
	"self createLight apply."
	theme
		set: #borderColor for: #DialogWindow to: self lightBackground muchDarker;
		set: #color for: #DialogWindow to: self lightBackgroundHighlights;

		set: #titleColor for: #DialogWindow to: self lightBackground;
		set: #titleTextColor for: #DialogWindow to: self lightContentEmphasized;
		
		set: #textColor for: #DialogWindow to: self lightContentEmphasizedMore;
		
		set: #okColor for: #DialogWindow to: self green;
		set: #cancelColor for: #DialogWindow to: self orange;
		set: #buttonColor for: #DialogWindow to: self lightBackgroundHighlights;
		set: #selectionModifier for: #DialogWindow to: [ [:c | c adjustBrightness: -0.1 ] ].
	
	"The List Chooser is a dialog, too."
	theme
		set: #addColor for: #ListChooser to: self blue;
		set: #disabledColor for: #ListChooser to: Color transparent.

		
	"And the system progress bar."
	theme
		set: #color for: #SystemProgressBarMorph to: Color transparent;
		set: #barColor for: #SystemProgressBarMorph to: self lightContentEmphasized.
		
	"And the balloon morphs."
	theme
		set: #borderColor for: #NewBalloonMorph to: self lightBackground muchDarker;
		set: #color for: #NewBalloonMorph to: self lightBackgroundHighlights.! !

!SolarizedTheme class methodsFor: 'instance creation' stamp: 'mt 7/25/2016 17:31'!
addLightFonts: theme

	"Set-up fonts."
	theme
		set: #balloonHelpFont to: (StrikeFont familyName: 'Bitmap DejaVu Sans' pointSize: 7);
		set: #standardButtonFont to: (StrikeFont familyName: 'Bitmap DejaVu Sans' pointSize: 7);
		set: #standardCodeFont to: (StrikeFont familyName: 'Bitmap DejaVu Sans' pointSize: 9);
		set: #standardDefaultTextFont to: (StrikeFont familyName: 'Bitmap DejaVu Sans' pointSize: 9);
		set: #standardFlapFont to: (StrikeFont familyName: 'Bitmap DejaVu Sans' pointSize: 7 emphasized: TextEmphasis bold emphasisCode);
		set: #haloLabelFont to: (StrikeFont familyName: 'Bitmap DejaVu Sans' pointSize: 9);
		set: #standardListFont to: (StrikeFont familyName: 'Bitmap DejaVu Sans' pointSize: 9);
		set: #standardMenuFont to: (StrikeFont familyName: 'Bitmap DejaVu Sans' pointSize: 9);
		set: #standardSystemFont to: (StrikeFont familyName: 'Bitmap DejaVu Sans' pointSize: 9);
		set: #windowTitleFont to: (StrikeFont familyName: 'Bitmap DejaVu Sans' pointSize: 9 emphasized: TextEmphasis bold emphasisCode).! !

!SolarizedTheme class methodsFor: 'instance creation' stamp: 'mt 7/26/2016 13:18'!
addLightMenusAndDockingBars: theme
	"self createLight apply."
	theme
		set: #borderWidth for: #MenuMorph to: 0;
		set: #color for: #MenuMorph to: self lightBackground;
		set: #titleTextColor for: #MenuMorph to: self lightContentEmphasizedMore;
		set: #lineColor for: #MenuMorph to: self lightBackgroundHighlights;
		set: #lineStyle for: #MenuMorph to: BorderStyle default;
		set: #lineWidth for: #MenuMorph to: 1.
		
	theme
		set: #textColor for: #MenuItemMorph to: self lightContentEmphasized;
		set: #selectionColor for: #MenuItemMorph to: self lightBackgroundHighlights;
		set: #selectionTextColor for: #MenuItemMorph to: self lightContentEmphasizedMore.
		"set: #subMenuMarker for: #MenuItemMorph to: nil." "Use hard-coded default. See MenuItemMorph."
		
	"The world main docking bar."
	theme
		set: #color for: #DockingBarMorph to: self lightBackgroundHighlights;
		set: #selectionColor for: #DockingBarItemMorph to: self lightContentSecondary;
		set: #logoColor for: #TheWorldMainDockingBar to: self lightContentEmphasized;
		set: #selectionLogoColor for: #TheWorldMainDockingBar to: self lightContentEmphasizedMore.! !

!SolarizedTheme class methodsFor: 'instance creation' stamp: 'mt 7/26/2016 13:31'!
addLightScrollables: theme
	"self createLight apply."

	"Scroll bars"
	theme
		set: #thumbColor for: #ScrollBar to: self lightBackground;
		set: #thumbBorderColor for: #ScrollBar to: self lightBackground;
		set: #thumbBorderWidth for: #ScrollBar to: 1;
		set: #thumbColorModifier for: #ScrollBar to: [ [:c | c adjustBrightness: -0.1] ];
		set: #pagingAreaColorModifier for: #ScrollBar to: [ [:c | Color transparent ] ];
		set: #borderColorModifier for: #ScrollBar to: [ [:c | c adjustBrightness: -0.1] ].
	
	"Scroll panes (includes generic stuff for list widgets, tree widgets, and text widgets."
	theme
		set: #borderWidth for: #ScrollPane to: 0;
	"	set: #borderColor for: #ScrollPane to: Color transparent;"
		set: #color for: #ScrollPane to: self lightBackground.
		
	"List widgets"
	theme
		set: #textColor for: #PluggableListMorph to: self lightContentEmphasized;
		set: #selectionColor for: #PluggableListMorph to: self lightBackgroundHighlights;
		set: #selectionTextColor for: #PluggableListMorph to: self lightContentEmphasizedMore;
		set: #filterColor for: #PluggableListMorph to: self yellow;
		set: #filterTextColor for: #PluggableListMorph to: self lightBackground;
		set: #preSelectionModifier for: #PluggableListMorph to: [ [:c | c darker alpha: 0.5 ] ];
		set: #hoverSelectionModifier for: #PluggableListMorph to: [ [:c | c darker alpha: 0.5 ] ].
		
	"Tree widgets"
	theme
		set: #highlightTextColor for: #SimpleHierarchicalListMorph to: self yellow lighter lighter;
		set: #lineColor for: #SimpleHierarchicalListMorph to: self lightContentSecondary.
	
	"Text widgets"
	theme
		set: #textColor for: #PluggableTextMorph to: self lightContentPrimary;
		set: #caretColor for: #PluggableTextMorph to: self lightContentEmphasizedMore;
		set: #selectionColor for: #PluggableTextMorph to: self lightBackgroundHighlights;
		set: #unfocusedSelectionModifier for: #PluggableTextMorph to: [ [:c | (Color r: 0.933 g: 0.909 b: 0.835) "light background highlights"] ];
		set: #adornmentReadOnly for: #PluggableTextMorph to: self magenta;
		set: #adornmentRefuse for: #PluggableTextMorph to: self cyan;
		set: #adornmentConflict for: #PluggableTextMorph to: self red;
		set: #adornmentDiff for: #PluggableTextMorph to: self green;
		set: #adornmentNormalEdit for: #PluggableTextMorph to: self orange;
		set: #adornmentDiffEdit for: #PluggableTextMorph to: self yellow.
	theme
		set: #balloonTextColor for: #PluggableTextMorphPlus to: self lightContentSecondary.! !

!SolarizedTheme class methodsFor: 'instance creation' stamp: 'mt 7/26/2016 13:20'!
addLightSyntaxHighlighting: theme
	"self createLight apply."
	theme	
		set: #default for: #SHTextStylerST80 to: {self lightContentPrimary};
		set: #invalid for: #SHTextStylerST80 to: {self red};
		set: #excessCode for: #SHTextStylerST80 to: {self red};
		set: #comment for: #SHTextStylerST80 to: {self cyan};
		set: #unfinishedComment for: #SHTextStylerST80 to: {self red. TextEmphasis italic};
		set: #'$' for: #SHTextStylerST80 to: {self red};
		set: #character for: #SHTextStylerST80 to: {self red};
		set: #integer for: #SHTextStylerST80 to: {self red};
		set: #number for: #SHTextStylerST80 to: {self red};	
		set: #- for: #SHTextStylerST80 to: {self red};
		set: #symbol for: #SHTextStylerST80 to: {self blue};	
		set: #stringSymbol for: #SHTextStylerST80 to: {self blue};	
		set: #literalArray for: #SHTextStylerST80 to: {self blue};
		set: #string for: #SHTextStylerST80 to: {self magenta. TextEmphasis normal};
		set: #unfinishedString for: #SHTextStylerST80 to: {self red. TextEmphasis normal};
		set: #assignment for: #SHTextStylerST80 to: {nil. TextEmphasis bold};
		set: #ansiAssignment for: #SHTextStylerST80 to: {nil. TextEmphasis bold};
		set: #literal for: #SHTextStylerST80 to: {nil. TextEmphasis italic};
		set: #keyword for: #SHTextStylerST80 to: {self blue};
		set: #binary for: #SHTextStylerST80 to: {self blue};	
		set: #unary for: #SHTextStylerST80 to: {self blue};
		set: #incompleteKeyword for: #SHTextStylerST80 to: {self lightContentPrimary. TextEmphasis underlined};
		set: #incompleteBinary for: #SHTextStylerST80 to: {self lightContentPrimary. TextEmphasis underlined};	
		set: #incompleteUnary for: #SHTextStylerST80 to: {self lightContentPrimary. TextEmphasis underlined};
		set: #undefinedKeyword for: #SHTextStylerST80 to: {self red};
		set: #undefinedBinary for: #SHTextStylerST80 to: {self red};	
		set: #undefinedUnary for: #SHTextStylerST80 to: {self red};													
		set: #patternKeyword for: #SHTextStylerST80 to: {nil. TextEmphasis bold};
		set: #patternBinary for: #SHTextStylerST80 to: {nil. TextEmphasis bold};
		set: #patternUnary for: #SHTextStylerST80 to: {nil. TextEmphasis bold};	
		set: #self for: #SHTextStylerST80 to: {self red};
		set: #super for: #SHTextStylerST80 to: {self red}; 
		set: #true for: #SHTextStylerST80 to: {self red};
		set: #false for: #SHTextStylerST80 to: {self red};
		set: #nil for: #SHTextStylerST80 to: {self red};
		set: #thisContext for: #SHTextStylerST80 to: {self red};
		set: #return for: #SHTextStylerST80 to: {self red};
		set: #patternArg for: #SHTextStylerST80 to: {self blue};	
		set: #methodArg for: #SHTextStylerST80 to: {self blue};
		set: #blockPatternArg for: #SHTextStylerST80 to: {self blue};
		set: #blockArg for: #SHTextStylerST80 to: {self blue};
		set: #argument for: #SHTextStylerST80 to: {self blue};
		set: #blockArgColon for: #SHTextStylerST80 to: {self lightContentPrimary}; 
		set: #leftParenthesis for: #SHTextStylerST80 to: {self lightContentPrimary}; 
		set: #rightParenthesis for: #SHTextStylerST80 to: {self lightContentPrimary}; 
		set: #leftParenthesis1 for: #SHTextStylerST80 to: {self green}; 
		set: #rightParenthesis1 for: #SHTextStylerST80 to: {self green}; 
		set: #leftParenthesis2 for: #SHTextStylerST80 to: {self magenta}; 
		set: #rightParenthesis2 for: #SHTextStylerST80 to: {self magenta}; 
		set: #leftParenthesis3 for: #SHTextStylerST80 to: {self red}; 
		set: #rightParenthesis3 for: #SHTextStylerST80 to: {self red}; 
		set: #leftParenthesis4 for: #SHTextStylerST80 to: {self green}; 
		set: #rightParenthesis4 for: #SHTextStylerST80 to: {self green}; 
		set: #leftParenthesis5 for: #SHTextStylerST80 to: {self orange}; 
		set: #rightParenthesis5 for: #SHTextStylerST80 to: {self orange}; 
		set: #leftParenthesis6 for: #SHTextStylerST80 to: {self magenta}; 
		set: #rightParenthesis6 for: #SHTextStylerST80 to: {self magenta}; 
		set: #leftParenthesis7 for: #SHTextStylerST80 to: {self blue}; 
		set: #rightParenthesis7 for: #SHTextStylerST80 to: {self blue}; 
		set: #blockStart for: #SHTextStylerST80 to: {self lightContentPrimary}; 
		set: #blockEnd for: #SHTextStylerST80 to: {self lightContentPrimary}; 
		set: #blockStart1 for: #SHTextStylerST80 to: {self green}; 
		set: #blockEnd1 for: #SHTextStylerST80 to: {self green}; 
		set: #blockStart2 for: #SHTextStylerST80 to: {self magenta}; 
		set: #blockEnd2 for: #SHTextStylerST80 to: {self magenta}; 
		set: #blockStart3 for: #SHTextStylerST80 to: {self red}; 
		set: #blockEnd3 for: #SHTextStylerST80 to: {self red}; 
		set: #blockStart4 for: #SHTextStylerST80 to: {self green}; 
		set: #blockEnd4 for: #SHTextStylerST80 to: {self green}; 
		set: #blockStart5 for: #SHTextStylerST80 to: {self orange}; 
		set: #blockEnd5 for: #SHTextStylerST80 to: {self orange}; 
		set: #blockStart6 for: #SHTextStylerST80 to: {self magenta}; 
		set: #blockEnd6 for: #SHTextStylerST80 to: {self magenta}; 
		set: #blockStart7 for: #SHTextStylerST80 to: {self blue}; 
		set: #blockEnd7 for: #SHTextStylerST80 to: {self blue}; 																																																		
		set: #arrayStart for: #SHTextStylerST80 to: {self lightContentPrimary}; 
		set: #arrayEnd for: #SHTextStylerST80 to: {self lightContentPrimary}; 
		set: #arrayStart1 for: #SHTextStylerST80 to: {self lightContentPrimary}; 
		set: #arrayEnd1 for: #SHTextStylerST80 to: {self lightContentPrimary}; 
		set: #byteArrayStart for: #SHTextStylerST80 to: {self lightContentPrimary}; 
		set: #byteArrayEnd for: #SHTextStylerST80 to: {self lightContentPrimary}; 
		set: #byteArrayStart1 for: #SHTextStylerST80 to: {self lightContentPrimary}; 
		set: #byteArrayEnd1 for: #SHTextStylerST80 to: {self lightContentPrimary}; 
		set: #leftBrace for: #SHTextStylerST80 to: {self lightContentPrimary}; 
		set: #rightBrace for: #SHTextStylerST80 to: {self lightContentPrimary}; 
		set: #cascadeSeparator for: #SHTextStylerST80 to: {self lightContentPrimary}; 
		set: #statementSeparator for: #SHTextStylerST80 to: {self lightContentPrimary}; 
		set: #externalCallType for: #SHTextStylerST80 to: {self lightContentPrimary}; 
		set: #externalCallTypePointerIndicator for: #SHTextStylerST80 to: {self lightContentPrimary}; 
		set: #primitiveOrExternalCallStart for: #SHTextStylerST80 to: {self lightContentPrimary}; 
		set: #primitiveOrExternalCallEnd for: #SHTextStylerST80 to: {self lightContentPrimary};
		set: #methodTempBar for: #SHTextStylerST80 to: {self lightContentPrimary}; 
		set: #blockTempBar for: #SHTextStylerST80 to: {self lightContentPrimary};
		set: #blockArgsBar for: #SHTextStylerST80 to: {self lightContentPrimary};
		set: #primitive for: #SHTextStylerST80 to: {self green. TextEmphasis bold};
		set: #pragmaKeyword for: #SHTextStylerST80 to: {self green. TextEmphasis bold};
		set: #pragmaUnary for: #SHTextStylerST80 to: {self green. TextEmphasis bold};
		set: #pragmaBinary for: #SHTextStylerST80 to: {self green. TextEmphasis bold};									
		set: #externalFunctionCallingConvention for: #SHTextStylerST80 to: {self green. TextEmphasis bold}; 
		set: #module for: #SHTextStylerST80 to: {self green. TextEmphasis bold};
		set: #blockTempVar for: #SHTextStylerST80 to: {self lightContentPrimary};
		set: #blockPatternTempVar for: #SHTextStylerST80 to: {self lightContentPrimary};
		set: #instVar for: #SHTextStylerST80 to: {self lightContentPrimary};
		set: #workspaceVar for: #SHTextStylerST80 to: {self lightContentPrimary};
		set: #undefinedIdentifier for: #SHTextStylerST80 to: {self red};
		set: #incompleteIdentifier for: #SHTextStylerST80 to: {self lightContentPrimary. {TextEmphasis italic. TextEmphasis underlined}};
		set: #tempVar for: #SHTextStylerST80 to: {self lightContentPrimary};
		set: #patternTempVar for: #SHTextStylerST80 to: {self lightContentPrimary};
		set: #poolConstant for: #SHTextStylerST80 to: {self lightContentPrimary};
		set: #classVar for: #SHTextStylerST80 to: {self lightContentPrimary};
		set: #globalVar for: #SHTextStylerST80 to: {self lightContentPrimary}.
		
	"And the text differ"
	theme	
		set: #insertTextAttributes for: #TextDiffBuilder to: { TextColor color: self red };
		set: #removeTextAttributes for: #TextDiffBuilder to: { TextEmphasis struckOut. TextColor color: self blue };
		set: #normalTextAttributes for: #TextDiffBuilder to: { TextEmphasis normal }.! !

!SolarizedTheme class methodsFor: 'instance creation' stamp: 'mt 7/26/2016 13:21'!
addLightWindowColors: theme
	"self createLight apply."
	theme
		set: #uniformWindowColor for: #Model to: self lightBackgroundHighlights;
		
		set: #unfocusedWindowColorModifier for: #SystemWindow to: [ [:color | 
			Model useColorfulWindows
				ifTrue: [color darker]
				ifFalse: [Color r: 0.991 g: 0.964 b: 0.89 "light background"] ] ];
		set: #unfocusedLabelColor for: #SystemWindow to: self lightContentEmphasized;
		set: #focusedLabelColor for: #SystemWindow to: self lightContentEmphasizedMore;

		set: #customWindowColor for: #Browser to: self green;
		set: #customWindowColor for: #ChangeList to: self blue;
		set: #customWindowColor for: #ChangeSorter to: self blue;
		set: #customWindowColor for: #ChatNotes to: self magenta;
		set: #customWindowColor for: #ClassCommentVersionsBrowser to: self violet;
		set: #customWindowColor for: #Debugger to: self red;
		set: #customWindowColor for: #DualChangeSorter to: self blue;
		set: #customWindowColor for: #FileContentsBrowser to: self yellow;
		set: #customWindowColor for: #FileList to: self yellow;
		set: #customWindowColor for: #InstanceBrowser to: self cyan;
		set: #customWindowColor for: #Lexicon to: self cyan;
		set: #customWindowColor for: #MCTool to: self violet;
		set: #customWindowColor for: #MessageNames to: self green;
		set: #customWindowColor for: #MessageSet to: self cyan;
		set: #customWindowColor for: #PackagePaneBrowser to: self green;
		set: #customWindowColor for: #PluggableFileList to: self yellow;
		set: #customWindowColor for: #PreferenceBrowser to: self cyan;
		set: #customWindowColor for: #SMLoader to: self orange;
		set: #customWindowColor for: #SMLoaderPlus to: self orange;
		set: #customWindowColor for: #SMReleaseBrowser to: self orange;
		set: #customWindowColor for: #ScriptingDomain to: self yellow;
		set: #customWindowColor for: #SelectorBrowser to: self cyan;
		set: #customWindowColor for: #StringHolder to: self yellow;
		set: #customWindowColor for: #TestRunner to: self orange;
		set: #customWindowColor for: #TranscriptStream to: self orange;
		set: #customWindowColor for: #VersionsBrowser to: self violet.! !

!SolarizedTheme class methodsFor: 'instance creation' stamp: 'mt 7/26/2016 15:08'!
createDark
	"self createDark apply."
	| name |
	name := 'Solarized (dark)'.
	^ (self named: name) in: [:theme |
		theme merge: (self named: 'Squeak').
		theme name: name.
		
		"General morph stuff."
		theme
			set: #keyboardFocusColor for: #Morph to: self darkContentSecondary;
			set: #keyboardFocusWidth for: #Morph to: 1.

		self
			addDarkFonts: theme;
			addDarkWindowColors: theme;
			addDarkSyntaxHighlighting: theme;
			addDarkScrollables: theme;
			addDarkButtons: theme;
			addDarkDialogs: theme;
			addDarkMenusAndDockingBars: theme.
			
		theme]! !

!SolarizedTheme class methodsFor: 'instance creation' stamp: 'mt 7/26/2016 15:08'!
createLight
	"You have to create dark first.
	self createLight apply."
	
	| name |
	name := 'Solarized (light)'.
	^ (self named: 'Solarized (light)') in: [:theme |
		theme merge: (self named: 'Solarized (dark)').
		theme name: name.
	
		"General morph stuff."
		theme
			set: #keyboardFocusColor for: #Morph to: self lightContentSecondary;
			set: #keyboardFocusWidth for: #Morph to: 1.

		self
			addLightFonts: theme;
			addLightWindowColors: theme;
			addLightSyntaxHighlighting: theme;
			addLightScrollables: theme;
			addLightButtons: theme;
			addLightDialogs: theme;
			addLightMenusAndDockingBars: theme.
			
		theme]! !


!SqueakTheme class methodsFor: 'instance creation' stamp: 'mt 7/26/2016 10:55'!
addButtons: theme

	theme
		set: #borderColor for: #PluggableButtonMorph to: Color gray;
		set: #borderWidth for: #PluggableButtonMorph to: 1;
		set: #borderStyle for: #PluggableButtonMorph to: BorderStyle default;
		set: #color for: #PluggableButtonMorph to: [Color gray: 0.91];
		
		set: #font for: #PluggableButtonMorph to: [Preferences standardButtonFont];
		set: #textColor for: #PluggableButtonMorph to: Color black;

		set: #selectionModifier for: #PluggableButtonMorph to: [ [:c | c adjustBrightness: -0.2] ];
		set: #hoverModifier for: #PluggableButtonMorph to: [ [:c | c adjustBrightness: -0.1] ];
		set: #feedbackModifier for: #PluggableButtonMorph to: [ [:c | c adjustBrightness: -0.3] ].
	
	"And the plus-version."
	theme
		set: #disabledColor for: #PluggableButtonMorphPlus to: Color transparent;
		set: #disabledTextColor for: #PluggableButtonMorphPlus to: (Color gray: 0.6).
! !

!SqueakTheme class methodsFor: 'instance creation' stamp: 'mt 7/25/2016 16:52'!
addClassicSyntaxHighlighting: theme
	"This was the former default highlighting. Just overwrite the different values."
		
	theme	
		set: #comment for: #SHTextStylerST80 to: {Color green muchDarker. TextEmphasis italic};
		set: #symbol for: #SHTextStylerST80 to: {Color blue muchDarker. TextEmphasis bold};	
		set: #stringSymbol for: #SHTextStylerST80 to: {Color blue muchDarker. TextEmphasis bold};	
		set: #literalArray for: #SHTextStylerST80 to: {Color blue muchDarker. TextEmphasis bold};

		set: #self for: #SHTextStylerST80 to: {Color red muchDarker. TextEmphasis bold};
		set: #super for: #SHTextStylerST80 to: {Color red muchDarker. TextEmphasis bold}; 
		set: #true for: #SHTextStylerST80 to: {Color red muchDarker. TextEmphasis bold};
		set: #false for: #SHTextStylerST80 to: {Color red muchDarker. TextEmphasis bold};
		set: #nil for: #SHTextStylerST80 to: {Color red muchDarker. TextEmphasis bold};

		set: #thisContext for: #SHTextStylerST80 to: {Color red muchDarker. TextEmphasis bold};
		set: #return for: #SHTextStylerST80 to: {Color red muchDarker. TextEmphasis bold};
		set: #patternArg for: #SHTextStylerST80 to: {Color blue muchDarker. TextEmphasis italic};	
		set: #methodArg for: #SHTextStylerST80 to: {Color blue muchDarker. TextEmphasis italic};
		set: #blockPatternArg for: #SHTextStylerST80 to: {Color blue muchDarker. TextEmphasis italic};
		set: #blockArg for: #SHTextStylerST80 to: {Color blue muchDarker. TextEmphasis italic};
		set: #argument for: #SHTextStylerST80 to: {Color blue muchDarker. TextEmphasis italic};

		set: #primitiveOrExternalCallStart for: #SHTextStylerST80 to: {Color black. TextEmphasis bold}; 
		set: #primitiveOrExternalCallEnd for: #SHTextStylerST80 to: {Color black. TextEmphasis bold};

		set: #blockTempVar for: #SHTextStylerST80 to: {Color gray. TextEmphasis italic};
		set: #blockPatternTempVar for: #SHTextStylerST80 to: {Color gray. TextEmphasis italic};
		set: #instVar for: #SHTextStylerST80 to: {Color black. TextEmphasis bold};
		set: #workspaceVar for: #SHTextStylerST80 to: {Color black. TextEmphasis bold};
		set: #undefinedIdentifier for: #SHTextStylerST80 to: {Color red. TextEmphasis bold};

		set: #tempVar for: #SHTextStylerST80 to: {Color gray darker. TextEmphasis italic};
		set: #patternTempVar for: #SHTextStylerST80 to: {Color gray darker. TextEmphasis italic};
		set: #poolConstant for: #SHTextStylerST80 to: {Color gray muchDarker. TextEmphasis italic};
		set: #classVar for: #SHTextStylerST80 to: {Color gray muchDarker. TextEmphasis bold};
		set: #globalVar for: #SHTextStylerST80 to: {Color black. TextEmphasis bold}.! !

!SqueakTheme class methodsFor: 'instance creation' stamp: 'mt 7/25/2016 16:52'!
addDialogs: theme

	theme
		set: #borderColor for: #DialogWindow to: Color gray;
		set: #borderWidth for: #DialogWindow to: 1;
		set: #borderStyle for: #DialogWindow to: BorderStyle default;
		set: #color for: #DialogWindow to: Color white;

		set: #titleBorderColor for: #DialogWindow to: Color gray;
		set: #titleBorderWidth for: #DialogWindow to: 0;
		set: #titleBorderStyle for: #DialogWindow to: BorderStyle default;
		set: #titleColor for: #DialogWindow to: (Color r: 0.658 g: 0.678 b: 0.78);
		set: #titleFont for: #DialogWindow to: [Preferences windowTitleFont];
		set: #titleTextColor for: #DialogWindow to: Color black;
		
		set: #font for: #DialogWindow to: [Preferences standardSystemFont];
		set: #textColor for: #DialogWindow to: Color black;
		
		set: #okColor for: #DialogWindow to: (Color r: 0.49 g: 0.749 b: 0.49);
		set: #cancelColor for: #DialogWindow to: (Color r: 1 g: 0.6 b: 0.588);
		set: #buttonColor for: #DialogWindow to: (Color r: 0.658 g: 0.678 b: 0.78) twiceLighter;
		set: #selectionModifier for: #DialogWindow to: [ [:c | Color orange muchLighter ] ].
	
	"The List Chooser is a dialog, too."
	theme
		derive: #okColor for: #ListChooser from: #DialogWindow;
		derive: #cancelColor for: #ListChooser from: #DialogWindow;
		set: #addColor for: #ListChooser to: Color blue muchLighter;
		set: #disabledColor for: #ListChooser to: Color gray.

	"And the mulitple list chooser."
	theme
		derive: #okColor for: #ListMultipleChooser from: #DialogWindow;
		derive: #cancelColor for: #ListMultipleChooser from: #DialogWindow.
		
	"And the system progress bar."
	theme
		derive: #borderColor for: #SystemProgressMorph from: #MenuMorph;
		derive: #borderWidth for: #SystemProgressMorph from: #MenuMorph;
		derive: #borderStyle for: #SystemProgressMorph from: #MenuMorph;
		derive: #color for: #SystemProgressMorph from: #MenuMorph;
		derive: #font for: #SystemProgressMorph from: #MenuItemMorph;
		derive: #textColor for: #SystemProgressMorph from: #MenuItemMorph;
		
		set: #borderColor for: #SystemProgressBarMorph to: Color transparent;
		set: #borderWidth for: #SystemProgressBarMorph to: 0;
		set: #borderStyle for: #SystemProgressBarMorph to: BorderStyle default;
		set: #color for: #SystemProgressBarMorph to: (Color r: 0.977 g: 0.977 b: 0.977);
		set: #barColor for: #SystemProgressBarMorph to: (Color r: 0.72 g: 0.72 b: 0.9).
		
	"And the balloon morphs."
	theme
		set: #borderColor for: #NewBalloonMorph to: (Color r: 0.46 g: 0.46 b: 0.353);
		set: #borderWidth for: #NewBalloonMorph to: 1;
		set: #color for: #NewBalloonMorph to:(Color r: 0.92 g: 0.92 b: 0.706);
		set: #font for: #NewBalloonMorph to: [Preferences standardBalloonHelpFont];
		derive: #textColor for: #NewBalloonMorph from: #PluggableButtonMorph.! !

!SqueakTheme class methodsFor: 'instance creation' stamp: 'mt 7/26/2016 15:47'!
addDullerWindowColors: theme

	theme
		set: #uniformWindowColor for: #Model to: Color veryVeryLightGray duller;
		set: #customWindowColor for: #Browser to: (Color r: 0.764 g: 0.9 b: 0.63) duller;
		set: #customWindowColor for: #ChangeList to: (Color r: 0.719 g: 0.9 b: 0.9) duller;
		set: #customWindowColor for: #ChangeSorter to: (Color r: 0.719 g: 0.9 b: 0.9) duller;
		set: #customWindowColor for: #ChatNotes to: (Color r: 1.0 g: 0.7 b: 0.8) duller;
		set: #customWindowColor for: #ClassCommentVersionsBrowser to: (Color r: 0.753 g: 0.677 b: 0.9) duller;
		set: #customWindowColor for: #Debugger to: (Color r: 0.9 g: 0.719 b: 0.719) duller;
		set: #customWindowColor for: #DualChangeSorter to: (Color r: 0.719 g: 0.9 b: 0.9) duller;
		set: #customWindowColor for: #FileContentsBrowser to: (Color r: 0.7 g: 0.7 b: 0.508) duller;
		set: #customWindowColor for: #FileList to: (Color r: 0.65 g: 0.65 b: 0.65) duller;
		set: #customWindowColor for: #InstanceBrowser to: (Color r: 0.726 g: 0.9 b: 0.9) duller;
		set: #customWindowColor for: #Lexicon to: (Color r: 0.79 g: 0.9 b: 0.79) duller;
		set: #customWindowColor for: #MCTool to: (Color r: 0.65 g: 0.691 b: 0.876) duller;
		set: #customWindowColor for: #MessageNames to: (Color r: 0.639 g: 0.9 b: 0.497) duller;
		set: #customWindowColor for: #MessageSet to: (Color r: 0.719 g: 0.9 b: 0.9) duller;
		set: #customWindowColor for: #PackagePaneBrowser to: (Color r: 0.9 g: 0.9 b: 0.63) duller;
		set: #customWindowColor for: #PluggableFileList to: Color lightYellow duller;
		set: #customWindowColor for: #PreferenceBrowser to: (Color r: 0.671 g: 0.9 b: 0.9) duller;
		set: #customWindowColor for: #SMLoader to: (Color r: 0.801 g: 0.801 b: 0.614) duller;
		set: #customWindowColor for: #SMLoaderPlus to: (Color r: 0.801 g: 0.801 b: 0.614) duller;
		set: #customWindowColor for: #SMReleaseBrowser to: (Color r: 0.801 g: 0.801 b: 0.614) duller;
		set: #customWindowColor for: #ScriptingDomain to: (Color r: 0.91 g: 0.91 b: 0.91) duller;
		set: #customWindowColor for: #SelectorBrowser to: (Color r: 0.45 g: 0.9 b: 0.9) duller;
		set: #customWindowColor for: #StringHolder to: (Color r: 0.9 g: 0.9 b: 0.719) duller;
		set: #customWindowColor for: #TestRunner to: (Color r: 0.9 g: 0.576 b: 0.09) duller;
		set: #customWindowColor for: #TranscriptStream to: (Color r: 0.9 g: 0.75 b: 0.45) duller;
		set: #customWindowColor for: #VersionsBrowser to: (Color r: 0.782 g: 0.677 b: 0.9) duller.! !

!SqueakTheme class methodsFor: 'instance creation' stamp: 'mt 7/25/2016 16:53'!
addMenusAndDockingBars: theme

	theme
		set: #borderColor for: #MenuMorph to: Color gray;
		set: #borderWidth for: #MenuMorph to: 1;
		set: #borderStyle for: #MenuMorph to: BorderStyle default;
		set: #color for: #MenuMorph to: (Color gray: 0.9);

		set: #titleBorderColor for: #MenuMorph to: (Color r: 0.6 g: 0.7 b: 1);
		set: #titleBorderWidth for: #MenuMorph to: 0;
		set: #titleBorderStyle for: #MenuMorph to: BorderStyle default;
		set: #titleColor for: #MenuMorph to: Color transparent;
		set: #titleFont for: #MenuMorph to: [Preferences windowTitleFont];
		set: #titleTextColor for: #MenuMorph to: Color black;
		
		set: #lineColor for: #MenuMorph to: (Color gray: 0.9);
		set: #lineStyle for: #MenuMorph to: BorderStyle inset;
		set: #lineWidth for: #MenuMorph to: 2.
		
	theme
		set: #font for: #MenuItemMorph to: [Preferences standardMenuFont];
		set: #textColor for: #MenuItemMorph to: Color black;
		set: #selectionColor for: #MenuItemMorph to: (Color r: 0.4 g: 0.5 b: 0.7);
		set: #selectionTextColor for: #MenuItemMorph to: Color white;
		set: #subMenuMarker for: #MenuItemMorph to: nil. "Use hard-coded default. See MenuItemMorph."
		
	"Derive some stuff for the docking bar morph, which looks mostly like a menu morph."
	theme
		set: #borderWidth for: #DockingBarMorph to: 0;
		derive: #borderColor for: #DockingBarMorph from: #MenuMorph;
		derive: #borderStyle for: #DockingBarMorph from: #MenuMorph;
		derive: #color for: #DockingBarMorph from: #MenuMorph;
	
		derive: #lineColor for: #DockingBarMorph from: #MenuMorph;
		derive: #lineStyle for: #DockingBarMorph from: #MenuMorph;
		derive: #lineWidth for: #DockingBarMorph from: #MenuMorph.
		
	"The world main docking bar."
	theme
		derive: #font for: #TheWorldMainDockingBar from: #MenuItemMorph;
		derive: #textColor for: #TheWorldMainDockingBar from: #MenuItemMorph;
		set: #logoColor for: #TheWorldMainDockingBar to: Color black;
		set: #selectionLogoColor for: #TheWorldMainDockingBar to: Color white.! !

!SqueakTheme class methodsFor: 'instance creation' stamp: 'mt 7/26/2016 10:17'!
addScrollables: theme

	"Sliders"
	theme
		set: #borderColor for: #Slider to: Color gray;
		set: #borderWidth for: #Slider to: 1;
		set: #color for: #Slider to: Color lightGray;
		set: #thumbBorderColor for: #Slider to: [Color gray: 0.6];
		set: #thumbBorderWidth for: #Slider to: 0;
		set: #thumbColor for: #Slider to: Color veryVeryLightGray;
		set: #thumbShadowModifier for: #Slider to: [ [:c | c alpha: 0.7] ].
				
	"Scroll bars"
	theme
		set: #thumbBorderWidth for: #ScrollBar to: 1;
		set: #thumbColorModifier for: #ScrollBar to: [ [:c | c] ];
		set: #pagingAreaColorModifier for: #ScrollBar to: [ [:c | c darker alpha: 0.35] ];
		set: #borderColorModifier for: #ScrollBar to: [ [:c | c adjustBrightness: -0.3] ].
	
	"Scroll panes (includes generic stuff for list widgets, tree widgets, and text widgets."
	theme
		set: #borderColor for: #ScrollPane to: (Color gray: 0.6);
		set: #borderWidth for: #ScrollPane to: 1;
		set: #borderStyle for: #ScrollPane to: BorderStyle default;
		set: #color for: #ScrollPane to: Color white.
		
	"List widgets"
	theme
		set: #font for: #PluggableListMorph to: [Preferences standardListFont];
		set: #textColor for: #PluggableListMorph to: Color black;
		set: #selectionColor for: #PluggableListMorph to: (Color r: 0.72 g: 0.72 b: 0.9);
		set: #selectionTextColor for: #PluggableListMorph to: Color black;
		set: #filterColor for: #PluggableListMorph to: Color yellow paler;
		set: #filterTextColor for: #PluggableListMorph to: Color black;
		set: #preSelectionModifier for: #PluggableListMorph to: [ [:c | Color gray: 0.9] ];
		set: #hoverSelectionModifier for: #PluggableListMorph to: [ [:c | c darker alpha: 0.3] ].
		
	"Tree widgets"
	theme
		derive: #font for: #SimpleHierarchicalListMorph from: #PluggableListMorph;
		derive: #textColor for: #SimpleHierarchicalListMorph from: #PluggableListMorph;
		derive: #selectionColor for: #SimpleHierarchicalListMorph from: #PluggableListMorph;
		derive: #selectionTextColor for: #SimpleHierarchicalListMorph from: #PluggableListMorph;
		derive: #filterColor for: #SimpleHierarchicalListMorph from: #PluggableListMorph;
		derive: #filterTextColor for: #SimpleHierarchicalListMorph from: #PluggableListMorph;
		derive: #hoverSelectionModifier for: #SimpleHierarchicalListMorph from: #PluggableListMorph;
		
		set: #higlightTextColor for: #SimpleHierarchicalListMorph to: Color red;
		set: #lineColor for: #SimpleHierarchicalListMorph to: Color veryLightGray.
	
	"Text widgets"
	theme
		set: #font for: #PluggableTextMorph to: [Preferences standardDefaultTextFont];
		set: #textColor for: #PluggableTextMorph to: Color black;
		set: #caretColor for: #PluggableTextMorph to: Color red;
		set: #selectionColor for: #PluggableTextMorph to: (TranslucentColor r: 0.0 g: 0.0 b: 0.8 alpha: 0.2);
		set: #unfocusedSelectionModifier for: #PluggableTextMorph to: [ [:c | Color gray: 0.9] ];
		set: #adornmentReadOnly for: #PluggableTextMorph to: Color black;
		set: #adornmentRefuse for: #PluggableTextMorph to: Color tan;
		set: #adornmentConflict for: #PluggableTextMorph to: Color red;
		set: #adornmentDiff for: #PluggableTextMorph to: Color green;
		set: #adornmentNormalEdit for: #PluggableTextMorph to: Color orange;
		set: #adornmentDiffEdit for: #PluggableTextMorph to: Color yellow.
	theme
		set: #balloonTextColor for: #PluggableTextMorphPlus to: (Color gray: 0.7);
		derive: #balloonTextFont for: #PluggableTextMorphPlus from: #PluggableTextMorph at: #font.! !

!SqueakTheme class methodsFor: 'instance creation' stamp: 'mt 7/25/2016 16:53'!
addSyntaxHighlighting: theme
	"This was the former sub-dued highlighting."
	
	theme	
		set: #default for: #SHTextStylerST80 to: {Color black};
		set: #invalid for: #SHTextStylerST80 to: {Color red};
		set: #excessCode for: #SHTextStylerST80 to: {Color red};
		set: #comment for: #SHTextStylerST80 to: {Color cyan muchDarker};
		set: #unfinishedComment for: #SHTextStylerST80 to: {Color red muchDarker. TextEmphasis italic};
		set: #'$' for: #SHTextStylerST80 to: {Color red muchDarker};
		set: #character for: #SHTextStylerST80 to: {Color red muchDarker};
		set: #integer for: #SHTextStylerST80 to: {Color red muchDarker};
		set: #number for: #SHTextStylerST80 to: {Color red muchDarker};	
		set: #- for: #SHTextStylerST80 to: {Color red muchDarker};
		set: #symbol for: #SHTextStylerST80 to: {Color blue muchDarker};	
		set: #stringSymbol for: #SHTextStylerST80 to: {Color blue muchDarker};	
		set: #literalArray for: #SHTextStylerST80 to: {Color blue muchDarker};
		set: #string for: #SHTextStylerST80 to: {Color magenta muchDarker. TextEmphasis normal};
		set: #unfinishedString for: #SHTextStylerST80 to: {Color red. TextEmphasis normal};
		set: #assignment for: #SHTextStylerST80 to: {nil. TextEmphasis bold};
		set: #ansiAssignment for: #SHTextStylerST80 to: {nil. TextEmphasis bold};
		set: #literal for: #SHTextStylerST80 to: {nil. TextEmphasis italic};
		set: #keyword for: #SHTextStylerST80 to: {Color blue muchDarker};
		set: #binary for: #SHTextStylerST80 to: {Color blue muchDarker};	
		set: #unary for: #SHTextStylerST80 to: {Color blue muchDarker};
		set: #incompleteKeyword for: #SHTextStylerST80 to: {Color gray muchDarker. TextEmphasis underlined};
		set: #incompleteBinary for: #SHTextStylerST80 to: {Color gray muchDarker. TextEmphasis underlined};	
		set: #incompleteUnary for: #SHTextStylerST80 to: {Color gray muchDarker. TextEmphasis underlined};
		set: #undefinedKeyword for: #SHTextStylerST80 to: {Color red};
		set: #undefinedBinary for: #SHTextStylerST80 to: {Color red};	
		set: #undefinedUnary for: #SHTextStylerST80 to: {Color red};													
		set: #patternKeyword for: #SHTextStylerST80 to: {nil. TextEmphasis bold};
		set: #patternBinary for: #SHTextStylerST80 to: {nil. TextEmphasis bold};
		set: #patternUnary for: #SHTextStylerST80 to: {nil. TextEmphasis bold};	
		set: #self for: #SHTextStylerST80 to: {Color red muchDarker};
		set: #super for: #SHTextStylerST80 to: {Color red muchDarker}; 
		set: #true for: #SHTextStylerST80 to: {Color red muchDarker};
		set: #false for: #SHTextStylerST80 to: {Color red muchDarker};
		set: #nil for: #SHTextStylerST80 to: {Color red muchDarker};
		set: #thisContext for: #SHTextStylerST80 to: {Color red muchDarker};
		set: #return for: #SHTextStylerST80 to: {Color red muchDarker};
		set: #patternArg for: #SHTextStylerST80 to: {Color blue muchDarker};	
		set: #methodArg for: #SHTextStylerST80 to: {Color blue muchDarker};
		set: #blockPatternArg for: #SHTextStylerST80 to: {Color blue muchDarker};
		set: #blockArg for: #SHTextStylerST80 to: {Color blue muchDarker};
		set: #argument for: #SHTextStylerST80 to: {Color blue muchDarker};
		set: #blockArgColon for: #SHTextStylerST80 to: {Color black}; 
		set: #leftParenthesis for: #SHTextStylerST80 to: {Color black}; 
		set: #rightParenthesis for: #SHTextStylerST80 to: {Color black}; 
		set: #leftParenthesis1 for: #SHTextStylerST80 to: {Color green muchDarker}; 
		set: #rightParenthesis1 for: #SHTextStylerST80 to: {Color green muchDarker}; 
		set: #leftParenthesis2 for: #SHTextStylerST80 to: {Color magenta muchDarker}; 
		set: #rightParenthesis2 for: #SHTextStylerST80 to: {Color magenta muchDarker}; 
		set: #leftParenthesis3 for: #SHTextStylerST80 to: {Color red muchDarker}; 
		set: #rightParenthesis3 for: #SHTextStylerST80 to: {Color red muchDarker}; 
		set: #leftParenthesis4 for: #SHTextStylerST80 to: {Color green darker}; 
		set: #rightParenthesis4 for: #SHTextStylerST80 to: {Color green darker}; 
		set: #leftParenthesis5 for: #SHTextStylerST80 to: {Color orange darker}; 
		set: #rightParenthesis5 for: #SHTextStylerST80 to: {Color orange darker}; 
		set: #leftParenthesis6 for: #SHTextStylerST80 to: {Color magenta darker}; 
		set: #rightParenthesis6 for: #SHTextStylerST80 to: {Color magenta darker}; 
		set: #leftParenthesis7 for: #SHTextStylerST80 to: {Color blue}; 
		set: #rightParenthesis7 for: #SHTextStylerST80 to: {Color blue}; 
		set: #blockStart for: #SHTextStylerST80 to: {Color black}; 
		set: #blockEnd for: #SHTextStylerST80 to: {Color black}; 
		set: #blockStart1 for: #SHTextStylerST80 to: {Color green muchDarker}; 
		set: #blockEnd1 for: #SHTextStylerST80 to: {Color green muchDarker}; 
		set: #blockStart2 for: #SHTextStylerST80 to: {Color magenta muchDarker}; 
		set: #blockEnd2 for: #SHTextStylerST80 to: {Color magenta muchDarker}; 
		set: #blockStart3 for: #SHTextStylerST80 to: {Color red muchDarker}; 
		set: #blockEnd3 for: #SHTextStylerST80 to: {Color red muchDarker}; 
		set: #blockStart4 for: #SHTextStylerST80 to: {Color green darker}; 
		set: #blockEnd4 for: #SHTextStylerST80 to: {Color green darker}; 
		set: #blockStart5 for: #SHTextStylerST80 to: {Color orange darker}; 
		set: #blockEnd5 for: #SHTextStylerST80 to: {Color orange darker}; 
		set: #blockStart6 for: #SHTextStylerST80 to: {Color magenta darker}; 
		set: #blockEnd6 for: #SHTextStylerST80 to: {Color magenta darker}; 
		set: #blockStart7 for: #SHTextStylerST80 to: {Color blue}; 
		set: #blockEnd7 for: #SHTextStylerST80 to: {Color blue}; 																																																		
		set: #arrayStart for: #SHTextStylerST80 to: {Color black}; 
		set: #arrayEnd for: #SHTextStylerST80 to: {Color black}; 
		set: #arrayStart1 for: #SHTextStylerST80 to: {Color black}; 
		set: #arrayEnd1 for: #SHTextStylerST80 to: {Color black}; 
		set: #byteArrayStart for: #SHTextStylerST80 to: {Color black}; 
		set: #byteArrayEnd for: #SHTextStylerST80 to: {Color black}; 
		set: #byteArrayStart1 for: #SHTextStylerST80 to: {Color black}; 
		set: #byteArrayEnd1 for: #SHTextStylerST80 to: {Color black}; 
		set: #leftBrace for: #SHTextStylerST80 to: {Color black}; 
		set: #rightBrace for: #SHTextStylerST80 to: {Color black}; 
		set: #cascadeSeparator for: #SHTextStylerST80 to: {Color black}; 
		set: #statementSeparator for: #SHTextStylerST80 to: {Color black}; 
		set: #externalCallType for: #SHTextStylerST80 to: {Color black}; 
		set: #externalCallTypePointerIndicator for: #SHTextStylerST80 to: {Color black}; 
		set: #primitiveOrExternalCallStart for: #SHTextStylerST80 to: {Color black}; 
		set: #primitiveOrExternalCallEnd for: #SHTextStylerST80 to: {Color black};
		set: #methodTempBar for: #SHTextStylerST80 to: {Color gray}; 
		set: #blockTempBar for: #SHTextStylerST80 to: {Color gray};
		set: #blockArgsBar for: #SHTextStylerST80 to: {Color gray};
		set: #primitive for: #SHTextStylerST80 to: {Color green muchDarker. TextEmphasis bold};
		set: #pragmaKeyword for: #SHTextStylerST80 to: {Color green muchDarker. TextEmphasis bold};
		set: #pragmaUnary for: #SHTextStylerST80 to: {Color green muchDarker. TextEmphasis bold};
		set: #pragmaBinary for: #SHTextStylerST80 to: {Color green muchDarker. TextEmphasis bold};									
		set: #externalFunctionCallingConvention for: #SHTextStylerST80 to: {Color green muchDarker. TextEmphasis bold}; 
		set: #module for: #SHTextStylerST80 to: {Color green muchDarker. TextEmphasis bold};
		set: #blockTempVar for: #SHTextStylerST80 to: {Color gray};
		set: #blockPatternTempVar for: #SHTextStylerST80 to: {Color gray};
		set: #instVar for: #SHTextStylerST80 to: {Color black};
		set: #workspaceVar for: #SHTextStylerST80 to: {Color black};
		set: #undefinedIdentifier for: #SHTextStylerST80 to: {Color red};
		set: #incompleteIdentifier for: #SHTextStylerST80 to: {Color gray darker. {TextEmphasis italic. TextEmphasis underlined}};
		set: #tempVar for: #SHTextStylerST80 to: {Color gray darker};
		set: #patternTempVar for: #SHTextStylerST80 to: {Color gray darker};
		set: #poolConstant for: #SHTextStylerST80 to: {Color gray muchDarker};
		set: #classVar for: #SHTextStylerST80 to: {Color gray muchDarker};
		set: #globalVar for: #SHTextStylerST80 to: {Color black}.
		
	"And the text differ"
	theme	
		set: #insertTextAttributes for: #TextDiffBuilder to: { TextColor red };
		set: #removeTextAttributes for: #TextDiffBuilder to: { TextEmphasis struckOut. TextColor blue };
		set: #normalTextAttributes for: #TextDiffBuilder to: { TextEmphasis normal }.! !

!SqueakTheme class methodsFor: 'instance creation' stamp: 'mt 7/25/2016 16:53'!
addWindowColors: theme

	theme
		set: #titleFont for: #SystemWindow to: [Preferences windowTitleFont];
		set: #borderColorModifier for: #SystemWindow to: [ [:c | c adjustBrightness: -0.3] ];
		set: #borderWidth for: #SystemWindow to: 1;
	
		set: #uniformWindowColor for: #Model to: Color veryVeryLightGray;
		derive: #uniformWindowColor for: #TranscriptStream from: #Model;
		
		set: #unfocusedWindowColorModifier for: #SystemWindow to: [ [:color | color darker] ];
		set: #unfocusedLabelColor for: #SystemWindow to: Color darkGray;
		set: #focusedLabelColor for: #SystemWindow to: Color black;

		set: #customWindowColor for: #Browser to: (Color r: 0.764 g: 0.9 b: 0.63);
		set: #customWindowColor for: #ChangeList to: (Color r: 0.719 g: 0.9 b: 0.9);
		set: #customWindowColor for: #ChangeSorter to: (Color r: 0.719 g: 0.9 b: 0.9);
		set: #customWindowColor for: #ChatNotes to: (Color r: 1.0 g: 0.7 b: 0.8);
		set: #customWindowColor for: #ClassCommentVersionsBrowser to: (Color r: 0.753 g: 0.677 b: 0.9);
		set: #customWindowColor for: #Debugger to: (Color r: 0.9 g: 0.719 b: 0.719);
		set: #customWindowColor for: #DualChangeSorter to: (Color r: 0.719 g: 0.9 b: 0.9);
		set: #customWindowColor for: #FileContentsBrowser to: (Color r: 0.7 g: 0.7 b: 0.508);
		set: #customWindowColor for: #FileList to: (Color r: 0.65 g: 0.65 b: 0.65);
		set: #customWindowColor for: #InstanceBrowser to: (Color r: 0.726 g: 0.9 b: 0.9);
		set: #customWindowColor for: #Lexicon to: (Color r: 0.79 g: 0.9 b: 0.79);
		set: #customWindowColor for: #MCTool to: (Color r: 0.65 g: 0.691 b: 0.876);
		set: #customWindowColor for: #MessageNames to: (Color r: 0.639 g: 0.9 b: 0.497);
		set: #customWindowColor for: #MessageSet to: (Color r: 0.719 g: 0.9 b: 0.9);
		set: #customWindowColor for: #PackagePaneBrowser to: (Color r: 0.9 g: 0.9 b: 0.63);
		set: #customWindowColor for: #PluggableFileList to: Color lightYellow;
		set: #customWindowColor for: #PreferenceBrowser to: (Color r: 0.671 g: 0.9 b: 0.9);
		set: #customWindowColor for: #SMLoader to: (Color r: 0.801 g: 0.801 b: 0.614);
		set: #customWindowColor for: #SMLoaderPlus to: (Color r: 0.801 g: 0.801 b: 0.614);
		set: #customWindowColor for: #SMReleaseBrowser to: (Color r: 0.801 g: 0.801 b: 0.614);
		set: #customWindowColor for: #ScriptingDomain to: (Color r: 0.91 g: 0.91 b: 0.91);
		set: #customWindowColor for: #SelectorBrowser to: (Color r: 0.45 g: 0.9 b: 0.9);
		set: #customWindowColor for: #StringHolder to: (Color r: 0.9 g: 0.9 b: 0.719);
		set: #customWindowColor for: #TestRunner to: (Color r: 0.9 g: 0.576 b: 0.09);
		set: #customWindowColor for: #TranscriptStream to: (Color r: 0.9 g: 0.75 b: 0.45);
		set: #customWindowColor for: #VersionsBrowser to: (Color r: 0.782 g: 0.677 b: 0.9).! !

!SqueakTheme class methodsFor: 'instance creation' stamp: 'mt 7/26/2016 15:09'!
create
	"This is the default theme for Squeak.
	
	self create. "
	
	^ (self named: 'Squeak') in: [:theme |
		
		"Set-up fonts."
		theme
			set: #balloonHelpFont to: (StrikeFont familyName: 'Bitmap DejaVu Sans' pointSize: 7);
			set: #standardButtonFont to: (StrikeFont familyName: 'Bitmap DejaVu Sans' pointSize: 7);
			set: #standardCodeFont to: (StrikeFont familyName: 'Bitmap DejaVu Sans' pointSize: 9);
			set: #standardDefaultTextFont to: (StrikeFont familyName: 'Bitmap DejaVu Sans' pointSize: 9);
			set: #standardFlapFont to: (StrikeFont familyName: 'Bitmap DejaVu Sans' pointSize: 7 emphasized: TextEmphasis bold emphasisCode);
			set: #haloLabelFont to: (StrikeFont familyName: 'Bitmap DejaVu Sans' pointSize: 9);
			set: #standardListFont to: (StrikeFont familyName: 'Bitmap DejaVu Sans' pointSize: 9);
			set: #standardMenuFont to: (StrikeFont familyName: 'Bitmap DejaVu Sans' pointSize: 9);
			set: #standardSystemFont to: (StrikeFont familyName: 'Bitmap DejaVu Sans' pointSize: 9);
			set: #windowTitleFont to: (StrikeFont familyName: 'Bitmap DejaVu Sans' pointSize: 9 emphasized: TextEmphasis bold emphasisCode).
		
		"General morph stuff."
		theme
			set: #keyboardFocusColor for: #Morph to: (TranslucentColor r: 0.3 g: 0.5 b: 0.5 alpha: 0.5);
			set: #keyboardFocusWidth for: #Morph to: 3.
			
		self
			addWindowColors: theme;
			addSyntaxHighlighting: theme;
			addMenusAndDockingBars: theme;
			addDialogs: theme;
			addButtons: theme;
			addScrollables: theme.
		
		theme]! !

!SqueakTheme class methodsFor: 'instance creation' stamp: 'mt 7/25/2016 16:56'!
createClassic
	"self createClassic"
	
	^ (self named: 'Squeak (classic code style)') in: [:theme |
		theme link: (self named: 'Squeak').
		self addClassicSyntaxHighlighting: theme.
		theme]! !

!SqueakTheme class methodsFor: 'instance creation' stamp: 'mt 7/26/2016 15:48'!
createDuller
	"self createDuller apply"
	
	| name |
	name := 'Squeak (duller windows)'.
	^ (self named:name) in: [:theme |
		theme merge: (self named: 'Squeak').
		theme name: name.
		self addDullerWindowColors: theme.
		theme]! !

SolarizedTheme class removeSelector: #addButtons:!
SolarizedTheme class removeSelector: #addWindowColors:!
SolarizedTheme class removeSelector: #create!
MonokaiTheme class removeSelector: #monokaiBackground!
MonokaiTheme class removeSelector: #monokaiForeground!
UserInterfaceTheme class removeSelector: #addSqueakThemeButtons:!
UserInterfaceTheme class removeSelector: #addSqueakThemeClassicSyntaxHighlighting:!
UserInterfaceTheme class removeSelector: #addSqueakThemeDialogs:!
UserInterfaceTheme class removeSelector: #addSqueakThemeMenusAndDockingBars:!
UserInterfaceTheme class removeSelector: #addSqueakThemeScrollables:!
UserInterfaceTheme class removeSelector: #addSqueakThemeSyntaxHighlighting:!
UserInterfaceTheme class removeSelector: #addSqueakThemeWindowColors:!
UserInterfaceTheme class removeSelector: #createSqueakTheme!
UserInterfaceTheme class removeSelector: #createSqueakThemeClassic!

!UserInterfaceTheme class reorganize!
('private' clientClasses clientClassesToReapply)
('tools' allThemeProperties allThemePropertiesDo: categories fixShadow propertiesForCategory: propertiesForClass:)
('accessing' allThemes current current: default default:)
('initialize-release' initialize named: reset)
!

"Postscript:
Leave the line above, and replace the rest of this comment by a useful one.
Executable statements should follow this comment, and should
be separated by periods, with no exclamation points (!!).
Be sure to put any further comments in double-quotes, like this one."

SqueakTheme create apply.
SqueakTheme fixShadow.

SqueakTheme createClassic; createDuller.
SolarizedTheme createDark; createLight.
MonokaiTheme createDark.
CommunityTheme createDark.
!

