'From Squeak5.1 of 23 July 2016 [latest update: #16138] on 28 July 2016 at 2:37:19 pm'!

!Preferences class methodsFor: 'prefs - fonts' stamp: 'mt 7/25/2016 15:06'!
setBalloonHelpFontTo: aFont

	UserInterfaceTheme current
		set: #balloonHelpFont
		to: aFont;
		apply.! !

!Preferences class methodsFor: 'prefs - fonts' stamp: 'mt 7/25/2016 15:06'!
setButtonFontTo: aFont

	UserInterfaceTheme current
		set: #standardButtonFont
		to: aFont;
		apply.! !

!Preferences class methodsFor: 'prefs - fonts' stamp: 'mt 7/25/2016 15:06'!
setCodeFontTo: aFont
	"Establish the code font."

	UserInterfaceTheme current
		set: #standardCodeFont
		to: aFont;
		apply.! !

!Preferences class methodsFor: 'prefs - fonts' stamp: 'mt 7/25/2016 15:06'!
setEToysFontTo: aFont 
	"change the font used in eToys environment"

	UserInterfaceTheme current
		set: #eToysFont
		to: aFont;
		apply.! !

!Preferences class methodsFor: 'prefs - fonts' stamp: 'mt 7/25/2016 15:07'!
setEToysTitleFontTo: aFont 
	"change the font used in eToys environment"

	UserInterfaceTheme current
		set: #eToysTitleFont
		to: aFont;
		apply.! !

!Preferences class methodsFor: 'prefs - fonts' stamp: 'mt 7/25/2016 15:07'!
setFlapsFontTo: aFont

	UserInterfaceTheme current
		set: #standardFlapFont
		to: aFont;
		apply.	
		
	"FlapTab allSubInstancesDo:
		[:aFlapTab | aFlapTab reformatTextualTab]"! !

!Preferences class methodsFor: 'prefs - fonts' stamp: 'mt 7/25/2016 15:07'!
setHaloLabelFontTo: aFont 
	"change the font used in eToys environment"

	UserInterfaceTheme current
		set: #haloLabelFont
		to: aFont;
		apply.! !

!Preferences class methodsFor: 'prefs - fonts' stamp: 'mt 7/25/2016 15:07'!
setListFontTo: aFont
	"Set the list font as indicated"

	UserInterfaceTheme current
		set: #standardListFont
		to: aFont;
		apply.

	"Smalltalk at: #ListParagraph ifPresent: [:lp | lp initialize].
	Smalltalk at: #Flaps ifPresent: [:flaps | flaps replaceToolsFlap]"! !

!Preferences class methodsFor: 'prefs - fonts' stamp: 'mt 7/25/2016 15:07'!
setMenuFontTo: aFont

	UserInterfaceTheme current
		set: #standardMenuFont
		to: aFont;
		apply.
		
	"Smalltalk at: #PopUpMenu ifPresent:[:aClass| aClass setMenuFontTo: aFont].
	TheWorldMainDockingBar updateInstances."! !

!Preferences class methodsFor: 'prefs - fonts' stamp: 'mt 7/25/2016 15:07'!
setPaintBoxButtonFontTo: aFont 
	"change the font used in the buttons in PaintBox."

	UserInterfaceTheme current
		set: #paintBoxButtonFont
		to: aFont;
		apply.! !

!Preferences class methodsFor: 'prefs - fonts' stamp: 'mt 7/25/2016 15:07'!
setWindowTitleFontTo: aFont
	"Set the window-title font to be as indicated"

	UserInterfaceTheme current
		set: #windowTitleFont
		to: aFont;
		apply.

	"(Smalltalk hasClassNamed: #StandardSystemView)
		ifTrue: [(Smalltalk at: #StandardSystemView) setLabelStyle].
	(Smalltalk hasClassNamed: #Flaps)
		ifTrue: [(Smalltalk at: #Flaps) replaceToolsFlap]"
! !

!Preferences class methodsFor: 'prefs - fonts' stamp: 'mt 7/25/2016 15:09'!
standardBalloonHelpFont
	
	^ (UserInterfaceTheme current get: #balloonHelpFont)
		ifNil: [TextStyle defaultFont]! !

!Preferences class methodsFor: 'prefs - fonts' stamp: 'mt 7/25/2016 15:10'!
standardButtonFont
	
	^ (UserInterfaceTheme current get: #standardButtonFont)
		ifNil: [TextStyle defaultFont]! !

!Preferences class methodsFor: 'prefs - fonts' stamp: 'mt 7/25/2016 15:10'!
standardCodeFont

	^ (UserInterfaceTheme current get: #standardCodeFont)
		ifNil: [TextStyle defaultFont]! !

!Preferences class methodsFor: 'prefs - fonts' stamp: 'mt 7/25/2016 15:10'!
standardDefaultTextFont

	^ (UserInterfaceTheme current get: #standardDefaultTextFont)
		ifNil: [TextStyle defaultFont]! !

!Preferences class methodsFor: 'prefs - fonts' stamp: 'mt 7/25/2016 15:11'!
standardEToysFont

	^ (UserInterfaceTheme current get: #eToysFont)
		ifNil: [self standardButtonFont]! !

!Preferences class methodsFor: 'prefs - fonts' stamp: 'mt 7/25/2016 15:11'!
standardEToysTitleFont

	^ (UserInterfaceTheme current get: #eToysTitleFont)
		ifNil: [self standardEToysFont]! !

!Preferences class methodsFor: 'prefs - fonts' stamp: 'mt 7/25/2016 15:12'!
standardFlapFont
	
	^ (UserInterfaceTheme current get: #standardFlapFont)
		ifNil: [self standardButtonFont]! !

!Preferences class methodsFor: 'prefs - fonts' stamp: 'mt 7/25/2016 15:12'!
standardHaloLabelFont

	^ (UserInterfaceTheme current get: #haloLabelFont)
		ifNil: [TextStyle defaultFont]! !

!Preferences class methodsFor: 'prefs - fonts' stamp: 'mt 7/25/2016 15:13'!
standardListFont

	^ (UserInterfaceTheme current get: #standardListFont)
		ifNil: [TextStyle defaultFont]! !

!Preferences class methodsFor: 'prefs - fonts' stamp: 'mt 7/25/2016 15:13'!
standardMenuFont

	^ (UserInterfaceTheme current get: #standardMenuFont)
		ifNil: [TextStyle defaultFont]! !

!Preferences class methodsFor: 'prefs - fonts' stamp: 'mt 7/25/2016 15:13'!
standardPaintBoxButtonFont

	^ (UserInterfaceTheme current get: #paintBoxButtonFont)
		ifNil: [self standardButtonFont]! !

!Preferences class methodsFor: 'prefs - fonts' stamp: 'mt 7/25/2016 15:14'!
standardSystemFont
	"Answer the standard system font "

	^ (UserInterfaceTheme current get: #standardSystemFont)
		ifNil: [TextStyle defaultFont]! !

!Preferences class methodsFor: 'prefs - fonts' stamp: 'mt 7/25/2016 15:16'!
windowTitleFont
	"Answer the standard font to use for window titles"
	
	^ (UserInterfaceTheme current get: #windowTitleFont)
		ifNil: [TextStyle defaultFont]! !

